<a href="https://www.telerik.com/kendo-angular-ui/" target="_blank">
<img width="631" src="https://demos.telerik.com/kendo-angular-ui/assets/banner/npm-banner.svg">
</a>

## Kendo UI for Angular Charts Package (Chart, Sparkline, StockChart, and Sankey Components)

> * This package is part of [Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui)&mdash;a commercial library built from the ground-up, specifically for Angular, so that you get high-performance chart components that integrate tightly with your Angular application and with the rest of the Kendo UI for Angular components.
> * You must [install a license key](https://www.telerik.com/kendo-angular-ui/my-license) when adding the package to your project. To receive a license key, either [purchase a license](https://www.telerik.com/purchase/kendo-ui) or register for a [free trial](https://www.telerik.com/download-login-v2-kendo-angular-ui).
> * The 30-day free trial gives you access to all the Kendo UI for Angular components and their full functionality. Additionally, for the period of your license, you get access to our legendary technical support provided directly by the Kendo UI for Angular dev team!
>
> [Start using Kendo UI for Angular](https://www.telerik.com/download-login-v2-kendo-angular-ui) and speed up your development process!

The [Kendo UI for Angular Charts](https://www.telerik.com/kendo-angular-ui/components/charts) provide high quality graphical data visualization options. They include a variety of chart types and styles that have extensive configuration options. This flexibility allows you to quickly and easily create the exact chart you need to fit your specific requirements for functionality and appearance.

<img src="https://www.telerik.com/sfimages/default-source/productsimages/kendo-ui-for-angular/chart/all-popular-chart-types-image-min.png" alt="Angular Chart Types">

## What's Included in the Angular Charts Package

The [Angular Charts](https://www.telerik.com/kendo-angular-ui/components/charts) package includes four purpose-built components:

* [Angular Chart](https://www.telerik.com/kendo-angular-ui/components/charts)&mdash;These represent a collection of all popular chart types. Each supports robust data binding, multiple axes, pan and zoom, export to image and PDF, extensive and easy customization, and much more. The series types include:
    -  [Angular Area Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/area)
    -  [Angular Bar Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/bar)
    -  [Angular Box Plot Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/box-plot)
    -  [Angular Bullet Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/bullet)
    -  [Angular Heatmap Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/heatmap)
    -  [Angular Line Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/line)
    -  [Angular Radar Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/radar)
    -  [Angular Range Area Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/range-area)
    -  [Angular Range Bar Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/range-bar)
    -  [Angular Waterfall Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/waterfall)
    -  [Angular Donut Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/donut)
    -  [Angular Pie Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/pie)
    -  [Angular Funnel Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/funnel)
    -  [Angular Pyramid Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/pyramid)
    -  [Angular Bubble Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/bubble)
    -  [Angular Polar Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/polar)
    -  [Angular Scatter Plot Chart](https://www.telerik.com/kendo-angular-ui/components/charts/series-types/scatter)
* [Angular Stock Chart](https://www.telerik.com/kendo-angular-ui/components/charts/stock-chart)&mdash;A specialized component for exploring financial performance over time. This component inherits most of the features found in the Angular Charts Component.
* [Angular Sparkline](https://www.telerik.com/kendo-angular-ui/components/charts/sparkline)&mdash;A set of tiny charts designed to be embedded into content, ideal for dashboards and spreadsheets. The Angular Sparkline component includes line, bar, column, area, pies, and bullet series types.
* [Angular Sankey](https://www.telerik.com/kendo-angular-ui/components/charts/sankey)&mdash;A diagram for depicting fluctuating flows through different domains. Sankey diagrams are versatile and can be used in various scenarios such as illustrating web traffic, detailing budget allocations, demonstrating energy transfer, and more.

## Key Features

Among the many features which the Kendo UI for Angular Charts deliver are:

* [Chart Series Types](https://www.telerik.com/kendo-angular-ui/components/charts/series-types)&mdash;The Charts support a wide range of series types such as Categorical, Scatter, Circular, and Freeform.
* [Data Binding](https://www.telerik.com/kendo-angular-ui/components/charts/chart/data-binding)&mdash;The Charts support the binding of their data series to arrays, arrays of arrays, objects, and observables. Beyond the actual series, other areas of the Chart, like the axis and labels, can all be bound to your data as well.
* [Rendering Modes](https://www.telerik.com/kendo-angular-ui/components/charts/chart/rendering)&mdash;The Charts support two modes for rendering—Canvas (bitmap) and SVG (vector graphics). By default, the Charts are rendered through SVG. Switching between the two is as easy as updating a single configuration option.
* [Export Options](https://www.telerik.com/kendo-angular-ui/components/charts/chart/export-options)&mdash;The Charts provide built-in support to save your Charts as an Image (PNG), PDF, SVG&mdash;without the need for server-side helpers.
* [Panning and Zooming](https://www.telerik.com/kendo-angular-ui/components/charts/chart/pan-zoom)&mdash;The Charts and Graphs offer intuitive panning and zooming interactions, allowing users to easily explore the data. The developer can enable or disable these features through the Chart options.
* [Configuration Options](https://www.telerik.com/kendo-angular-ui/components/charts/chart/configuration)&mdash;The Charts and Graphs let you configure their behavior in various ways. This includes ready-to-use configuration components, out-of-the-box inline options, as well as configuration components built with Angular structural directives.
* [Context Menu](https://www.telerik.com/kendo-angular-ui/components/menus/contextmenu/data-bound-components#chart)&mdash;The Charts work flawlessly with the Kendo UI ContextMenu for Angular so that you can integrate the two components.
* [Drilldown](https://www.telerik.com/kendo-angular-ui/components/charts/chart/drill-down)&mdash;The Kendo UI for Angular Charts support a drilldown functionality for exploring data in a view hierachy.
* [Appearance](https://www.telerik.com/kendo-angular-ui/components/charts/chart/styling)&mdash;The colors of the Charts are normally picked up by the current Kendo UI theme, but each aspect of the Chart can be customized by theme variables or configuration options. Kendo UI for Angular delivers a set of popular themes including Bootstrap and Material, all of which can be easily customized with the [Progress ThemeBuilder online utility](https://themebuilder.telerik.com/kendo-angular-ui).
* [Globalization](https://www.telerik.com/kendo-angular-ui/components/charts/globalization)&mdash;The Kendo UI for Angular Charts support globalization and localization to ensure that the each Chart component can fit in any application, no matter what languages and locales need to be supported. Additionally, the Charts support rendering in a right-to-left (RTL) direction, which can be set with a single configuration option.
* [Accessibility](https://www.telerik.com/kendo-angular-ui/components/charts/accessibility)&mdash;The Kendo UI for Angular Chart component is [WCAG 2.2 AA](https://www.w3.org/TR/WCAG22/) and [Section 508](https://www.section508.gov/) compliant, incorporating [WAI-ARIA](https://www.w3.org/WAI/ARIA/apg/) best practices for modern web accessibility. The Angular Chart is also tested against the popular screen readers, including JAWS and NVDA.
* [Keyboard Navigation](https://www.telerik.com/kendo-angular-ui/components/charts/keyboard-navigation)&mdash;The Angular Charts support a number of keyboard shortcuts which allow users to accomplish various commands.
* More Complex Charts&mdash;You can combine many of the chart features into the same component to achieve complex graphs with many series and varied configuration to suit your business needs.

## Support Options

For any issues you might encounter while working with the Kendo UI for Angular Charts, you have the following support channels available:

* Industry-leading technical support&mdash;Kendo UI for Angular paid license holders and users with an active (free) trial license can take advantage of our outstanding customer support. To submit a ticket, use the [dedicated Kendo UI for Angular support system](https://www.telerik.com/account/support-tickets).
* Product forums&mdash;The [Kendo UI for Angular forums](https://www.telerik.com/forums/kendo-angular-ui) are part of the free support you can get from the community and from the Kendo UI for Angular team.
* Feedback portal&mdash;The [Kendo UI for Angular feedback portal](https://feedback.telerik.com/kendo-angular-ui) is where you can request and vote for new features to be added.

## Resources

* [Getting Started with Kendo UI for Angular](https://www.telerik.com/kendo-angular-ui/getting-started)
* [Getting Started with the Kendo UI for Angular Charts](https://www.telerik.com/kendo-angular-ui/components/charts/installation/getting-started)
* [Charts Overview page](https://www.telerik.com/kendo-angular-ui/components/charts) and [Charts API reference](https://www.telerik.com/kendo-angular-ui/components/charts/api)
* [Kendo UI for Angular roadmap](https://www.telerik.com/kendo-angular-ui/roadmap)
* [Kendo UI for Angular Blog](https://www.telerik.com/blogs/tag/kendo-ui-for-angular)
* [Demos, documentation, and component reference](https://www.telerik.com/kendo-angular-ui/components)
* [Kendo UI for Angular pricing and licensing](https://www.telerik.com/purchase/kendo-ui)

*Copyright © 2025 Progress Software Corporation and/or one of its subsidiaries or affiliates. All rights reserved.*

*Progress, Telerik, and certain product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*