/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The context for the axis label content function.
 */
export interface AxisLabelContentArgs {
    /**
     * The value associated with the axis label.
     */
    value: any;
    /**
     * The data item, if set.
     *
     * Available for category axis with set `categoryField`.
     */
    dataItem?: any;
    /**
     * The default label text.
     */
    text: string;
    /**
     * The index of the label.
     */
    index: number;
    /**
     * The total number of rendered labels.
     */
    count: number;
    /**
     * The default format string of the label.
     */
    format: string;
    /**
     * The default culture (if set) of the label.
     */
    culture: string;
}
