/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChartComponent } from '../chart.component';
import { drawing } from '@progress/kendo-drawing';
/**
 * The context for the legend item visual function ([see example](slug:legend_chart_charts#toc-customizing-the-shape)).
 */
export interface LegendItemVisualArgs {
    /**
     * Indicates if the legend item is active.
     * The item is inactive when the associated point or series in not visible.
     */
    active: boolean;
    /**
     * A function that can be used to get the default visual.
     */
    createVisual: () => drawing.Element;
    /**
     * The legend item options.
     */
    options: any;
    /**
     * The index of the point in the series.
     * Available for the Donut, Pie, and Funnel series.
     */
    pointIndex: any;
    /**
     * The instance of the Chart component.
     */
    sender: ChartComponent;
    /**
     * The item series.
     */
    series: any;
}
