/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The context for the legend label content function.
 */
export interface LegendLabelsContentArgs {
    /**
     * The text of the legend item.
     */
    text: string;
    /**
     * The series configuration object.
     */
    series: any;
    /**
     * The point value of the Donut and Pie charts.
     */
    value?: any;
    /**
     * The point value represented as a percentage value.
     * Available only for the Donut, Pie, Funnel and Pyramid charts.
     */
    percentage?: number;
    /**
     * The point dataItem.
     * Available only for the Donut, Pie, Funnel and Pyramid charts.
     */
    dataItem?: any;
}
