/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./chart.component";
import * as i2 from "./chart/donut-center-template.directive";
import * as i3 from "./chart/no-data-template.directive";
import * as i4 from "./chart/x-axis.component";
import * as i5 from "./chart/x-axis-item/crosshair.component";
import * as i6 from "./chart/x-axis-item/crosshair.tooltip.component";
import * as i7 from "./chart/x-axis-item.component";
import * as i8 from "./chart/x-axis-item/labels.component";
import * as i9 from "./chart/x-axis-item/notes.component";
import * as i10 from "./chart/x-axis-item/notes.icon.component";
import * as i11 from "./chart/x-axis-item/notes.label.component";
import * as i12 from "./chart/x-axis-item/title.component";
import * as i13 from "./chart/y-axis.component";
import * as i14 from "./chart/y-axis-item/crosshair.component";
import * as i15 from "./chart/y-axis-item/crosshair.tooltip.component";
import * as i16 from "./chart/y-axis-item.component";
import * as i17 from "./chart/y-axis-item/labels.component";
import * as i18 from "./chart/y-axis-item/notes.component";
import * as i19 from "./chart/y-axis-item/notes.icon.component";
import * as i20 from "./chart/y-axis-item/notes.label.component";
import * as i21 from "./chart/y-axis-item/title.component";
import * as i22 from "./chart/zoomable.component";
import * as i23 from "./chart/tooltip/tooltip-popup.component";
import * as i24 from "./chart/tooltip/series-tooltip-template.directive";
import * as i25 from "./chart/tooltip/shared-tooltip-template.directive";
import * as i26 from "./chart/tooltip/crosshair-tooltips-container.component";
import * as i27 from "./chart/tooltip/crosshair-tooltip.component";
import * as i28 from "./chart/axis-defaults.component";
import * as i29 from "./chart/axis-defaults/crosshair.component";
import * as i30 from "./chart/axis-defaults/crosshair.tooltip.component";
import * as i31 from "./chart/axis-defaults/labels.component";
import * as i32 from "./chart/axis-defaults/title.component";
import * as i33 from "./chart/category-axis.component";
import * as i34 from "./chart/category-axis-item/crosshair.component";
import * as i35 from "./chart/category-axis-item/crosshair.tooltip.component";
import * as i36 from "./chart/category-axis-item.component";
import * as i37 from "./chart/category-axis-item/labels.component";
import * as i38 from "./chart/category-axis-item/range-labels.component";
import * as i39 from "./chart/category-axis-item/notes.component";
import * as i40 from "./chart/category-axis-item/notes.icon.component";
import * as i41 from "./chart/category-axis-item/notes.label.component";
import * as i42 from "./chart/category-axis-item/select.component";
import * as i43 from "./chart/category-axis-item/title.component";
import * as i44 from "./chart/chart-area.component";
import * as i45 from "./chart-breadcrumb.component";
import * as i46 from "./chart/localization/custom-messages.component";
import * as i47 from "./chart/localization/localized-messages.directive";
import * as i48 from "./chart/legend.component";
import * as i49 from "./chart/legend/inactive-items.component";
import * as i50 from "./chart/legend/item.component";
import * as i51 from "./chart/pane.component";
import * as i52 from "./chart/pane-defaults.component";
import * as i53 from "./chart/pane-defaults/title.component";
import * as i54 from "./chart/panes.component";
import * as i55 from "./chart/pane/title.component";
import * as i56 from "./chart/plot-area.component";
import * as i57 from "./chart/series.component";
import * as i58 from "./chart/series-defaults.component";
import * as i59 from "./chart/series-defaults/labels.component";
import * as i60 from "./chart/series-defaults/labels.from.component";
import * as i61 from "./chart/series-defaults/labels.to.component";
import * as i62 from "./chart/series-defaults/notes.component";
import * as i63 from "./chart/series-defaults/notes.icon.component";
import * as i64 from "./chart/series-defaults/notes.label.component";
import * as i65 from "./chart/series-defaults/tooltip.component";
import * as i66 from "./chart/series-drilldown-template.directive";
import * as i67 from "./chart/series-item/error-bars.component";
import * as i68 from "./chart/series-item/extremes.component";
import * as i69 from "./chart/series-item/highlight.component";
import * as i70 from "./chart/series-item.component";
import * as i71 from "./chart/series-item/labels.component";
import * as i72 from "./chart/series-item/labels.from.component";
import * as i73 from "./chart/series-item/labels.to.component";
import * as i74 from "./chart/series-item/markers.component";
import * as i75 from "./chart/series-item/notes.component";
import * as i76 from "./chart/series-item/notes.icon.component";
import * as i77 from "./chart/series-item/notes.label.component";
import * as i78 from "./chart/series-item/outliers.component";
import * as i79 from "./chart/series-item/tooltip.component";
import * as i80 from "./chart/series-item/trendline.component";
import * as i81 from "./chart/series-item/trendline.forecast.component";
import * as i82 from "./chart/subtitle.component";
import * as i83 from "./chart/title.component";
import * as i84 from "./chart/tooltip.component";
import * as i85 from "./chart/value-axis.component";
import * as i86 from "./chart/value-axis-item/crosshair.component";
import * as i87 from "./chart/value-axis-item/crosshair.tooltip.component";
import * as i88 from "./chart/value-axis-item.component";
import * as i89 from "./chart/value-axis-item/labels.component";
import * as i90 from "./chart/value-axis-item/notes.component";
import * as i91 from "./chart/value-axis-item/notes.icon.component";
import * as i92 from "./chart/value-axis-item/notes.label.component";
import * as i93 from "./chart/value-axis-item/title.component";
/**
 * A [module](link:site.data.urls.angular['ngmoduleapi']) that includes the Chart component and directives.
 *
 * Imports the ChartModule into your application
 * [root module](link:site.data.urls.angular['ngmodules']#angular-modularity) or any other sub-module
 * that will use the Chart component.
 * @example
 * ```ts
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { ChartModule } from '@progress/kendo-angular-charts';
 * import { AppComponent } from './app.component';
 *
 * _@NgModule({
 *     bootstrap:    [AppComponent],
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, ChartModule]
 * })
 * export class AppModule {
 * }
 * ```
 */
export declare class ChartModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<ChartModule, never, [typeof i1.ChartComponent, typeof i2.DonutCenterTemplateDirective, typeof i3.NoDataTemplateDirective, typeof i4.XAxisComponent, typeof i5.XAxisCrosshairComponent, typeof i6.XAxisCrosshairTooltipComponent, typeof i7.XAxisItemComponent, typeof i8.XAxisLabelsComponent, typeof i9.XAxisNotesComponent, typeof i10.XAxisNotesIconComponent, typeof i11.XAxisNotesLabelComponent, typeof i12.XAxisTitleComponent, typeof i13.YAxisComponent, typeof i14.YAxisCrosshairComponent, typeof i15.YAxisCrosshairTooltipComponent, typeof i16.YAxisItemComponent, typeof i17.YAxisLabelsComponent, typeof i18.YAxisNotesComponent, typeof i19.YAxisNotesIconComponent, typeof i20.YAxisNotesLabelComponent, typeof i21.YAxisTitleComponent, typeof i22.ZoomableComponent, typeof i23.TooltipPopupComponent, typeof i24.SeriesTooltipTemplateDirective, typeof i25.SharedTooltipTemplateDirective, typeof i26.CrosshairTooltipsContainerComponent, typeof i27.CrosshairTooltipComponent, typeof i28.AxisDefaultsComponent, typeof i29.AxisDefaultsCrosshairComponent, typeof i30.AxisDefaultsCrosshairTooltipComponent, typeof i31.AxisDefaultsLabelsComponent, typeof i32.AxisDefaultsTitleComponent, typeof i33.CategoryAxisComponent, typeof i34.CategoryAxisCrosshairComponent, typeof i35.CategoryAxisCrosshairTooltipComponent, typeof i36.CategoryAxisItemComponent, typeof i37.CategoryAxisLabelsComponent, typeof i38.CategoryAxisRangeLabelsComponent, typeof i39.CategoryAxisNotesComponent, typeof i40.CategoryAxisNotesIconComponent, typeof i41.CategoryAxisNotesLabelComponent, typeof i42.CategoryAxisSelectComponent, typeof i43.CategoryAxisTitleComponent, typeof i44.ChartAreaComponent, typeof i45.ChartBreadcrumbComponent, typeof i46.ChartCustomMessagesComponent, typeof i47.LocalizedChartMessagesDirective, typeof i48.LegendComponent, typeof i49.LegendInactiveItemsComponent, typeof i50.LegendItemComponent, typeof i51.PaneComponent, typeof i52.PaneDefaultsComponent, typeof i53.PaneDefaultsTitleComponent, typeof i54.PanesComponent, typeof i55.PanesTitleComponent, typeof i56.PlotAreaComponent, typeof i57.SeriesComponent, typeof i58.SeriesDefaultsComponent, typeof i59.SeriesDefaultsLabelsComponent, typeof i60.SeriesDefaultsLabelsFromComponent, typeof i61.SeriesDefaultsLabelsToComponent, typeof i62.SeriesDefaultsNotesComponent, typeof i63.SeriesDefaultsNotesIconComponent, typeof i64.SeriesDefaultsNotesLabelComponent, typeof i65.SeriesDefaultsTooltipComponent, typeof i66.SeriesDrilldownTemplateDirective, typeof i67.SeriesErrorBarsComponent, typeof i68.SeriesExtremesComponent, typeof i69.SeriesHighlightComponent, typeof i70.SeriesItemComponent, typeof i71.SeriesLabelsComponent, typeof i72.SeriesLabelsFromComponent, typeof i73.SeriesLabelsToComponent, typeof i74.SeriesMarkersComponent, typeof i75.SeriesNotesComponent, typeof i76.SeriesNotesIconComponent, typeof i77.SeriesNotesLabelComponent, typeof i78.SeriesOutliersComponent, typeof i79.SeriesTooltipComponent, typeof i80.SeriesTrendlineComponent, typeof i81.SeriesTrendlineForecastComponent, typeof i82.SubtitleComponent, typeof i83.TitleComponent, typeof i84.TooltipComponent, typeof i85.ValueAxisComponent, typeof i86.ValueAxisCrosshairComponent, typeof i87.ValueAxisCrosshairTooltipComponent, typeof i88.ValueAxisItemComponent, typeof i89.ValueAxisLabelsComponent, typeof i90.ValueAxisNotesComponent, typeof i91.ValueAxisNotesIconComponent, typeof i92.ValueAxisNotesLabelComponent, typeof i93.ValueAxisTitleComponent], [typeof i1.ChartComponent, typeof i2.DonutCenterTemplateDirective, typeof i3.NoDataTemplateDirective, typeof i4.XAxisComponent, typeof i5.XAxisCrosshairComponent, typeof i6.XAxisCrosshairTooltipComponent, typeof i7.XAxisItemComponent, typeof i8.XAxisLabelsComponent, typeof i9.XAxisNotesComponent, typeof i10.XAxisNotesIconComponent, typeof i11.XAxisNotesLabelComponent, typeof i12.XAxisTitleComponent, typeof i13.YAxisComponent, typeof i14.YAxisCrosshairComponent, typeof i15.YAxisCrosshairTooltipComponent, typeof i16.YAxisItemComponent, typeof i17.YAxisLabelsComponent, typeof i18.YAxisNotesComponent, typeof i19.YAxisNotesIconComponent, typeof i20.YAxisNotesLabelComponent, typeof i21.YAxisTitleComponent, typeof i22.ZoomableComponent, typeof i23.TooltipPopupComponent, typeof i24.SeriesTooltipTemplateDirective, typeof i25.SharedTooltipTemplateDirective, typeof i26.CrosshairTooltipsContainerComponent, typeof i27.CrosshairTooltipComponent, typeof i28.AxisDefaultsComponent, typeof i29.AxisDefaultsCrosshairComponent, typeof i30.AxisDefaultsCrosshairTooltipComponent, typeof i31.AxisDefaultsLabelsComponent, typeof i32.AxisDefaultsTitleComponent, typeof i33.CategoryAxisComponent, typeof i34.CategoryAxisCrosshairComponent, typeof i35.CategoryAxisCrosshairTooltipComponent, typeof i36.CategoryAxisItemComponent, typeof i37.CategoryAxisLabelsComponent, typeof i38.CategoryAxisRangeLabelsComponent, typeof i39.CategoryAxisNotesComponent, typeof i40.CategoryAxisNotesIconComponent, typeof i41.CategoryAxisNotesLabelComponent, typeof i42.CategoryAxisSelectComponent, typeof i43.CategoryAxisTitleComponent, typeof i44.ChartAreaComponent, typeof i45.ChartBreadcrumbComponent, typeof i46.ChartCustomMessagesComponent, typeof i47.LocalizedChartMessagesDirective, typeof i48.LegendComponent, typeof i49.LegendInactiveItemsComponent, typeof i50.LegendItemComponent, typeof i51.PaneComponent, typeof i52.PaneDefaultsComponent, typeof i53.PaneDefaultsTitleComponent, typeof i54.PanesComponent, typeof i55.PanesTitleComponent, typeof i56.PlotAreaComponent, typeof i57.SeriesComponent, typeof i58.SeriesDefaultsComponent, typeof i59.SeriesDefaultsLabelsComponent, typeof i60.SeriesDefaultsLabelsFromComponent, typeof i61.SeriesDefaultsLabelsToComponent, typeof i62.SeriesDefaultsNotesComponent, typeof i63.SeriesDefaultsNotesIconComponent, typeof i64.SeriesDefaultsNotesLabelComponent, typeof i65.SeriesDefaultsTooltipComponent, typeof i66.SeriesDrilldownTemplateDirective, typeof i67.SeriesErrorBarsComponent, typeof i68.SeriesExtremesComponent, typeof i69.SeriesHighlightComponent, typeof i70.SeriesItemComponent, typeof i71.SeriesLabelsComponent, typeof i72.SeriesLabelsFromComponent, typeof i73.SeriesLabelsToComponent, typeof i74.SeriesMarkersComponent, typeof i75.SeriesNotesComponent, typeof i76.SeriesNotesIconComponent, typeof i77.SeriesNotesLabelComponent, typeof i78.SeriesOutliersComponent, typeof i79.SeriesTooltipComponent, typeof i80.SeriesTrendlineComponent, typeof i81.SeriesTrendlineForecastComponent, typeof i82.SubtitleComponent, typeof i83.TitleComponent, typeof i84.TooltipComponent, typeof i85.ValueAxisComponent, typeof i86.ValueAxisCrosshairComponent, typeof i87.ValueAxisCrosshairTooltipComponent, typeof i88.ValueAxisItemComponent, typeof i89.ValueAxisLabelsComponent, typeof i90.ValueAxisNotesComponent, typeof i91.ValueAxisNotesIconComponent, typeof i92.ValueAxisNotesLabelComponent, typeof i93.ValueAxisTitleComponent]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<ChartModule>;
}
