/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { DashType } from '../../common/property-types';
import { AxisDefaultsCrosshair, AxisDefaultsCrosshairTooltip } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import * as i0 from "@angular/core";
/**
 * The crosshair configuration options ([see example](slug:axes_chart_charts#toc-default-axis-configuration)).
 */
export declare class AxisDefaultsCrosshairComponent extends SettingsComponent implements AxisDefaultsCrosshair {
    configurationService: ConfigurationService;
    color: string;
    /**
     * The dash type of the crosshair.
     * @default 'solid'
     */
    dashType: DashType;
    /**
     * The opacity of the crosshair. By default, the crosshair is opaque.
     * @default 1
     */
    opacity: number;
    /**
     * If set to `true`, the Chart displays the axis crosshair.
     * By default, the axis crosshair is not visible.
     * @default false
     */
    visible: boolean;
    /**
     * The width of the crosshair in pixels.
     * @default 1
     */
    width: number;
    tooltip: AxisDefaultsCrosshairTooltip;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<AxisDefaultsCrosshairComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<AxisDefaultsCrosshairComponent, "kendo-chart-axis-defaults-crosshair", never, { "color": { "alias": "color"; "required": false; }; "dashType": { "alias": "dashType"; "required": false; }; "opacity": { "alias": "opacity"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; "width": { "alias": "width"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; }, {}, never, never, true, never>;
}
