/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { DashType } from '../../common/property-types';
import { CategoryAxisCrosshair, CategoryAxisCrosshairTooltip } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import * as i0 from "@angular/core";
/**
 * The crosshair configuration options ([see example]({% slug crosshairs_chart_charts %})).
 */
export declare class CategoryAxisCrosshairComponent extends SettingsComponent implements CategoryAxisCrosshair {
    configurationService: ConfigurationService;
    color: string;
    /**
     * The dash type of the crosshair.
     * @default 'solid'
     */
    dashType: DashType;
    /**
     * The opacity of the crosshair. By default, the crosshair is opaque.
     * @default 1
     */
    opacity: number;
    /**
     * If set to `true`, the Chart displays the category axis crosshair.
     * By default, the category axis crosshair is not visible.
     * @default false
     */
    visible: boolean;
    /**
     * The width of the crosshair in pixels.
     * @default 1
     */
    width: number;
    tooltip: CategoryAxisCrosshairTooltip;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<CategoryAxisCrosshairComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CategoryAxisCrosshairComponent, "kendo-chart-category-axis-item-crosshair", never, { "color": { "alias": "color"; "required": false; }; "dashType": { "alias": "dashType"; "required": false; }; "opacity": { "alias": "opacity"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; "width": { "alias": "width"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; }, {}, never, never, true, never>;
}
