/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { SettingsComponent } from '../../common/settings.component';
import { Border, MarkerType } from '../../common/property-types';
import { CategoryAxisNotesIcon } from '../../common/property-types';
import * as i0 from "@angular/core";
/**
 * The icon of the notes.
 */
export declare class CategoryAxisNotesIconComponent extends SettingsComponent implements CategoryAxisNotesIcon {
    configurationService: ConfigurationService;
    background: string;
    border: Border;
    size: number;
    type: MarkerType;
    visible: boolean;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<CategoryAxisNotesIconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CategoryAxisNotesIconComponent, "kendo-chart-category-axis-item-notes-icon", never, { "background": { "alias": "background"; "required": false; }; "border": { "alias": "border"; "required": false; }; "size": { "alias": "size"; "required": false; }; "type": { "alias": "type"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; }, {}, never, never, true, never>;
}
