/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { MousewheelSelect } from '../../common/property-types';
import { CategoryAxisSelect } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import * as i0 from "@angular/core";
/**
 * The selected axis range. If set, the axis selection is enabled. The range is index-based and starts from zero.
 * Categories with indexes in the
 * ([`select.from`]({% slug api_charts_categoryaxisselectcomponent %}#toc-from)
 * &mdash;[`select.to`]({% slug api_charts_categoryaxisselectcomponent %}#toc-to)) range will be selected.
 * This means that the last category in the range will not be included in the selection.
 * If the categories are dates, the range has to be also specified with date values.
 */
export declare class CategoryAxisSelectComponent extends SettingsComponent implements CategoryAxisSelect {
    configurationService: ConfigurationService;
    from: any;
    max: any;
    min: any;
    mousewheel: boolean | MousewheelSelect;
    to: any;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<CategoryAxisSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<CategoryAxisSelectComponent, "kendo-chart-category-axis-item-select", never, { "from": { "alias": "from"; "required": false; }; "max": { "alias": "max"; "required": false; }; "min": { "alias": "min"; "required": false; }; "mousewheel": { "alias": "mousewheel"; "required": false; }; "to": { "alias": "to"; "required": false; }; }, {}, never, never, true, never>;
}
