/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { LegendLabels } from '../../common/property-types';
import { LegendInactiveItems } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import * as i0 from "@angular/core";
/**
 * The configuration of the inactive Chart legend items.
 *
 * @example
 *
 * ```html-no-run
 * <kendo-chart>
 *   <kendo-chart-legend>
 *      <kendo-chart-legend-inactive-items [labels]="{color: 'pink'}"></kendo-chart-legend-inactive-items>
 *   </kendo-chart-legend>
 * </kendo-chart>
 * ```
 */
export declare class LegendInactiveItemsComponent extends SettingsComponent implements LegendInactiveItems {
    configurationService: ConfigurationService;
    labels: LegendLabels;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<LegendInactiveItemsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LegendInactiveItemsComponent, "kendo-chart-legend-inactive-items", never, { "labels": { "alias": "labels"; "required": false; }; }, {}, never, never, true, never>;
}
