/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { drawing } from '@progress/kendo-drawing';
import { ConfigurationService } from '../../common/configuration.service';
import { LegendItemVisualArgs } from '../../common/property-types';
import { LegendItem } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import { LegendItemArea, LegendItemHighlight, LegendItemLine, LegendItemMarkers, LegendItemType } from '../../option-types/legend/item.interface';
import * as i0 from "@angular/core";
/**
 * The configuration of the Chart legend item.
 *
 * @example
 *
 * ```html-no-run
 * <kendo-chart>
 *   <kendo-chart-legend>
 *      <kendo-chart-legend-item cursor="crosshair"></kendo-chart-legend-item>
 *   </kendo-chart-legend>
 * </kendo-chart>
 * ```
 */
export declare class LegendItemComponent extends SettingsComponent implements LegendItem {
    configurationService: ConfigurationService;
    cursor: string;
    type: LegendItemType;
    line: LegendItemLine;
    area: LegendItemArea;
    markers: LegendItemMarkers;
    highlight: LegendItemHighlight;
    visual: (e: LegendItemVisualArgs) => drawing.Element;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<LegendItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<LegendItemComponent, "kendo-chart-legend-item", never, { "cursor": { "alias": "cursor"; "required": false; }; "type": { "alias": "type"; "required": false; }; "line": { "alias": "line"; "required": false; }; "area": { "alias": "area"; "required": false; }; "markers": { "alias": "markers"; "required": false; }; "highlight": { "alias": "highlight"; "required": false; }; "visual": { "alias": "visual"; "required": false; }; }, {}, never, never, true, never>;
}
