/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { ChartMessages } from './messages';
import * as i0 from "@angular/core";
/**
 * Custom component messages override default component messages.
 * @example
 * ```html
 * <kendo-chart [data]="data">
 *     <kendo-chart-messages noData='No data available'></kendo-chart-messages>
 * </kendo-chart>
 * ```
 */
export declare class ChartCustomMessagesComponent extends ChartMessages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<ChartCustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ChartCustomMessagesComponent, "kendo-chart-messages", never, {}, {}, never, never, true, never>;
}
