/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../common/configuration.service';
import { SettingsComponent } from '../common/settings.component';
import { Border, Margin, Padding, PaneDefaults, PaneDefaultsTitle } from '../common/property-types';
import * as i0 from "@angular/core";
/**
 * The default options for all chart panes,
 * ([see example](slug:panes_chart_charts#toc-default-settings)).
 */
export declare class PaneDefaultsComponent extends SettingsComponent implements PaneDefaults {
    configurationService: ConfigurationService;
    background: string;
    border: Border;
    clip: boolean;
    height: number;
    /**
     * The margin of the pane. A numeric value sets all margins.
     * @default 0
     */
    margin: Margin | number;
    /**
     * The padding of the pane. A numeric value sets all paddings.
     * @default 0
     */
    padding: Padding | number;
    title: PaneDefaultsTitle;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<PaneDefaultsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<PaneDefaultsComponent, "kendo-chart-pane-defaults", never, { "background": { "alias": "background"; "required": false; }; "border": { "alias": "border"; "required": false; }; "clip": { "alias": "clip"; "required": false; }; "height": { "alias": "height"; "required": false; }; "margin": { "alias": "margin"; "required": false; }; "padding": { "alias": "padding"; "required": false; }; "title": { "alias": "title"; "required": false; }; }, {}, never, never, true, never>;
}
