/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { drawing } from '@progress/kendo-drawing';
import { ConfigurationService } from '../../common/configuration.service';
import { NoteLine, SeriesNoteVisualArgs } from '../../common/property-types';
import { SeriesDefaultsNotes, SeriesDefaultsNotesIcon, SeriesDefaultsNotesLabel } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import * as i0 from "@angular/core";
/**
 * The configuration of the [`seriesDefaults`]({% slug api_charts_seriesdefaultscomponent %}) notes.
 */
export declare class SeriesDefaultsNotesComponent extends SettingsComponent implements SeriesDefaultsNotes {
    configurationService: ConfigurationService;
    line: NoteLine;
    visual: (e: SeriesNoteVisualArgs) => drawing.Element;
    icon: SeriesDefaultsNotesIcon;
    label: SeriesDefaultsNotesLabel;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<SeriesDefaultsNotesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SeriesDefaultsNotesComponent, "kendo-chart-series-defaults-notes", never, { "line": { "alias": "line"; "required": false; }; "visual": { "alias": "visual"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "label": { "alias": "label"; "required": false; }; }, {}, never, never, true, never>;
}
