/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { Border, MarkerType } from '../../common/property-types';
import { SeriesDefaultsNotesIcon } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import * as i0 from "@angular/core";
/**
 * The icon of the notes.
 */
export declare class SeriesDefaultsNotesIconComponent extends SettingsComponent implements SeriesDefaultsNotesIcon {
    configurationService: ConfigurationService;
    background: string;
    border: Border;
    size: number;
    /**
     * The shape of the notes icon.
     * @default 'circle'
     */
    type: MarkerType;
    /**
     * The visibility of the notes icon.
     * @default true
     */
    visible: boolean;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<SeriesDefaultsNotesIconComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SeriesDefaultsNotesIconComponent, "kendo-chart-series-defaults-notes-icon", never, { "background": { "alias": "background"; "required": false; }; "border": { "alias": "border"; "required": false; }; "size": { "alias": "size"; "required": false; }; "type": { "alias": "type"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; }, {}, never, never, true, never>;
}
