/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import * as i0 from "@angular/core";
/**
 * Represents the series [template](link:site.data.urls.angular['templatesyntax'])
 * within the `<kendo-chart-series-item>` component for creating nested
 * [Drilldown](slug:drilldown_chart_charts) series.
 *
 * When the user clicks on a data point with drilldown data,
 * the Chart will create a new series based on this template.
 *
 * The template context is passes through the following fields:
 * - `drilldownValue`&mdash;The drilldown field value.
 * - `point`&mdash;The series point to drill down to.
 * - `series`&mdash;The series to drill down to.
 */
export declare class SeriesDrilldownTemplateDirective {
    templateRef: TemplateRef<any>;
    constructor(templateRef: TemplateRef<any>);
    static ɵfac: i0.ɵɵFactoryDeclaration<SeriesDrilldownTemplateDirective, [{ optional: true; }]>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<SeriesDrilldownTemplateDirective, "[kendoChartDrilldownSeries]", never, {}, {}, never, never, true, never>;
}
