/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { drawing } from '@progress/kendo-drawing';
import { ConfigurationService } from '../../common/configuration.service';
import { ErrorBarLine, ErrorBarsVisualArgs } from '../../common/property-types';
import { SeriesErrorBars } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import * as i0 from "@angular/core";
/**
 * The error bars of the Chart series
 * ([see example]({% slug errorbars_chart_charts %})).
 */
export declare class SeriesErrorBarsComponent extends SettingsComponent implements SeriesErrorBars {
    configurationService: ConfigurationService;
    color: string;
    /**
    * If set to `false`, the caps of the error bars are not displayed. By default, the caps are visible.
    * @default true
    */
    endCaps: boolean;
    line: ErrorBarLine;
    value: string;
    visual: (e: ErrorBarsVisualArgs) => drawing.Element;
    xValue: string;
    yValue: string;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<SeriesErrorBarsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SeriesErrorBarsComponent, "kendo-chart-series-item-error-bars", never, { "color": { "alias": "color"; "required": false; }; "endCaps": { "alias": "endCaps"; "required": false; }; "line": { "alias": "line"; "required": false; }; "value": { "alias": "value"; "required": false; }; "visual": { "alias": "visual"; "required": false; }; "xValue": { "alias": "xValue"; "required": false; }; "yValue": { "alias": "yValue"; "required": false; }; }, {}, never, never, true, never>;
}
