/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { Border, MarkerType } from '../../common/property-types';
import { SeriesExtremes } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import * as i0 from "@angular/core";
/**
 * The configuration of the Chart series extremes.
 * Applies to extreme outliers.
 * For more information, refer to [`series.outliers`]({% slug api_charts_seriesitemcomponent %}#toc-outliers).
 */
export declare class SeriesExtremesComponent extends SettingsComponent implements SeriesExtremes {
    configurationService: ConfigurationService;
    background: string;
    border: Border;
    rotation: number;
    /**
    * The extremes size in pixels.
    * @default 6
    */
    size: number;
    /**
    * The shape of the series extremes.
    * @default 'circle'
    */
    type: MarkerType;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<SeriesExtremesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SeriesExtremesComponent, "kendo-chart-series-item-extremes", never, { "background": { "alias": "background"; "required": false; }; "border": { "alias": "border"; "required": false; }; "rotation": { "alias": "rotation"; "required": false; }; "size": { "alias": "size"; "required": false; }; "type": { "alias": "type"; "required": false; }; }, {}, never, never, true, never>;
}
