/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { drawing } from '@progress/kendo-drawing';
import { ConfigurationService } from '../../common/configuration.service';
import { Border, HighlightLine, HighlightToggleArgs, HighlightVisualArgs, MarkersHighlight } from '../../common/property-types';
import { SeriesHighlight } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import * as i0 from "@angular/core";
/**
 * The Chart series highlighting configuration options.
 */
export declare class SeriesHighlightComponent extends SettingsComponent implements SeriesHighlight {
    configurationService: ConfigurationService;
    border: Border;
    color: string;
    line: HighlightLine;
    markers: MarkersHighlight;
    opacity: number;
    toggle: (e: HighlightToggleArgs) => void;
    /**
    * If set to `true`, the Chart highlights the series when the user hovers over it with the mouse.
    * @default true
    */
    visible: boolean;
    visual: (e: HighlightVisualArgs) => drawing.Element;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<SeriesHighlightComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SeriesHighlightComponent, "kendo-chart-series-item-highlight", never, { "border": { "alias": "border"; "required": false; }; "color": { "alias": "color"; "required": false; }; "line": { "alias": "line"; "required": false; }; "markers": { "alias": "markers"; "required": false; }; "opacity": { "alias": "opacity"; "required": false; }; "toggle": { "alias": "toggle"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; "visual": { "alias": "visual"; "required": false; }; }, {}, never, never, true, never>;
}
