/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { Border, MarkerType } from '../../common/property-types';
import { SeriesOutliers } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import * as i0 from "@angular/core";
/**
 * The configuration of the Chart series outliers.
 * Applies to mild outliers.
 * For more information, refer to the [`series.extremes`]({% slug api_charts_seriesitemcomponent %}#toc-extremes) option.
 */
export declare class SeriesOutliersComponent extends SettingsComponent implements SeriesOutliers {
    configurationService: ConfigurationService;
    background: string;
    border: Border;
    rotation: number;
    /**
     * The marker size in pixels.
     *
     * @default 6
     */
    size: number;
    /**
     * The outliers shape.
     *
     * @default 'circle'
     */
    type: MarkerType;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<SeriesOutliersComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SeriesOutliersComponent, "kendo-chart-series-item-outliers", never, { "background": { "alias": "background"; "required": false; }; "border": { "alias": "border"; "required": false; }; "rotation": { "alias": "rotation"; "required": false; }; "size": { "alias": "size"; "required": false; }; "type": { "alias": "type"; "required": false; }; }, {}, never, never, true, never>;
}
