/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { TemplateRef } from '@angular/core';
import { ConfigurationService } from '../../common/configuration.service';
import { Border, Padding } from '../../common/property-types';
import { SeriesTooltip } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import * as i0 from "@angular/core";
/**
 * The configuration options of the Chart series tooltip
 * ([see example]({% slug tooltips_chart_charts %})).
 */
export declare class SeriesTooltipComponent extends SettingsComponent implements SeriesTooltip {
    configurationService: ConfigurationService;
    background: string;
    border: Border;
    color: string;
    /**
     * The font of the tooltip.
     * @default '12px sans-serif'
     */
    font: string;
    format: string;
    padding: Padding | number;
    /**
     * If set to `true`, the Chart displays the series tooltip.
     * @default false
     */
    visible: boolean;
    seriesTooltipTemplate: TemplateRef<any>;
    constructor(configurationService: ConfigurationService);
    get seriesTooltipTemplateRef(): TemplateRef<any>;
    static ɵfac: i0.ɵɵFactoryDeclaration<SeriesTooltipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SeriesTooltipComponent, "kendo-chart-series-item-tooltip", never, { "background": { "alias": "background"; "required": false; }; "border": { "alias": "border"; "required": false; }; "color": { "alias": "color"; "required": false; }; "font": { "alias": "font"; "required": false; }; "format": { "alias": "format"; "required": false; }; "padding": { "alias": "padding"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; }, {}, ["seriesTooltipTemplate"], never, true, never>;
}
