/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { TrendlineForecast } from '../../common/property-types';
import { SeriesTrendline } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import * as i0 from "@angular/core";
/**
 * The configuration options of the Chart trendline series
 * ([see example]({% slug trendlines_chart_charts %})).
 */
export declare class SeriesTrendlineComponent extends SettingsComponent implements SeriesTrendline {
    configurationService: ConfigurationService;
    period: number;
    order: number;
    forecast: TrendlineForecast;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<SeriesTrendlineComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SeriesTrendlineComponent, "kendo-chart-series-item-trendline", never, { "period": { "alias": "period"; "required": false; }; "order": { "alias": "order"; "required": false; }; "forecast": { "alias": "forecast"; "required": false; }; }, {}, never, never, true, never>;
}
