/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { TrendlineForecast } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import * as i0 from "@angular/core";
/**
 * The configuration options of the Chart trendline forecast
 * ([see example]({% slug trendlines_chart_charts %})).
 */
export declare class SeriesTrendlineForecastComponent extends SettingsComponent implements TrendlineForecast {
    configurationService: ConfigurationService;
    before: number;
    after: number;
    /**
     * The series trendline forecast settings.
     *
     * The `forecast` option is supported  when [`series.type`]({% slug api_charts_series %}#toc-type) is set to `"linearTrendline"` and the parent series are either date series, `"scatter"` or `"scatterLine"` series.
     */
    forecast: TrendlineForecast;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<SeriesTrendlineForecastComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SeriesTrendlineForecastComponent, "kendo-chart-series-item-trendline-forecast", never, { "before": { "alias": "before"; "required": false; }; "after": { "alias": "after"; "required": false; }; "forecast": { "alias": "forecast"; "required": false; }; }, {}, never, never, true, never>;
}
