/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterContentChecked, ViewContainerRef } from '@angular/core';
import { QueryList } from '@angular/core';
import { CollectionComponent } from '../common/collection.component';
import { CollectionService, Item } from '../common/collection.service';
import { ConfigurationService } from '../common/configuration.service';
import { TooltipTemplateService } from '../common/tooltip-template.service';
import * as i0 from "@angular/core";
/**
 * A collection of one or more series items. [See example](slug:series_chart_charts).
 *
 * @example
 * ```html
 * <kendo-chart>
 *   <kendo-chart-series>
 *     <kendo-chart-series-item type="line" [data]="[1, 2, 3]">
 *     </kendo-chart-series-item>
 *   </kendo-chart-series>
 * </kendo-chart>
 * ```
 */
export declare class SeriesComponent extends CollectionComponent implements AfterContentChecked {
    protected configurationService: ConfigurationService;
    protected collectionService: CollectionService;
    protected tooltipTemplateService: TooltipTemplateService;
    viewContainer: ViewContainerRef;
    children: QueryList<Item>;
    constructor(configurationService: ConfigurationService, collectionService: CollectionService, tooltipTemplateService: TooltipTemplateService, viewContainer: ViewContainerRef);
    ngAfterContentChecked(): void;
    protected readTooltipTemplates(): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<SeriesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SeriesComponent, "kendo-chart-series", never, {}, {}, ["children"], never, true, never>;
}
