/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { OnDestroy } from '@angular/core';
import { PopupService } from '@progress/kendo-angular-popup';
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { PopupSettings } from './popup-settings.interface';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare abstract class BaseTooltip implements OnDestroy {
    protected popupService: PopupService;
    protected localizationService: LocalizationService;
    animate: boolean;
    style: any;
    templateRef: any;
    popupRef: any;
    popupSettings: PopupSettings;
    constructor(popupService: PopupService, localizationService: LocalizationService);
    get active(): boolean;
    show(e: any): void;
    protected onInit(): void;
    hide(): void;
    ngOnDestroy(): void;
    protected position(offset: any): any;
    private scrollOffset;
    static ɵfac: i0.ɵɵFactoryDeclaration<BaseTooltip, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<BaseTooltip, never, never, { "popupSettings": { "alias": "popupSettings"; "required": false; }; }, {}, never, never, false, never>;
}
