/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { ValueAxisCrosshair, ValueAxisCrosshairTooltip } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import * as i0 from "@angular/core";
/**
 * The crosshair configuration options ([see example]({% slug crosshairs_chart_charts %})).
 */
export declare class ValueAxisCrosshairComponent extends SettingsComponent implements ValueAxisCrosshair {
    configurationService: ConfigurationService;
    color: string;
    /**
     * The opacity of the crosshair.
     *
     * @default 1
     */
    opacity: number;
    /**
     * If set to `true`, the Chart displays the value axis crosshair.
     *
     * @default false
     */
    visible: boolean;
    /**
     * The width of the crosshair in pixels.
     *
     * @default 1
     */
    width: number;
    tooltip: ValueAxisCrosshairTooltip;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<ValueAxisCrosshairComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ValueAxisCrosshairComponent, "kendo-chart-value-axis-item-crosshair", never, { "color": { "alias": "color"; "required": false; }; "opacity": { "alias": "opacity"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; "width": { "alias": "width"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; }, {}, never, never, true, never>;
}
