/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { drawing } from '@progress/kendo-drawing';
import { SettingsComponent } from '../../common/settings.component';
import { AxisNoteVisualArgs, NoteLine, NotePosition } from '../../common/property-types';
import { ValueAxisNotesIcon, ValueAxisNotesLabel, ValueAxisNotes } from '../../common/property-types';
import * as i0 from "@angular/core";
/**
 * The configuration of the value axis notes ([see example]({% slug notes_chart_charts %}#toc-axis-notes)).
 */
export declare class ValueAxisNotesComponent extends SettingsComponent implements ValueAxisNotes {
    configurationService: ConfigurationService;
    data: any[];
    line: NoteLine;
    position: NotePosition;
    visual: (e: AxisNoteVisualArgs) => drawing.Element;
    icon: ValueAxisNotesIcon;
    label: ValueAxisNotesLabel;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<ValueAxisNotesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ValueAxisNotesComponent, "kendo-chart-value-axis-item-notes", never, { "data": { "alias": "data"; "required": false; }; "line": { "alias": "line"; "required": false; }; "position": { "alias": "position"; "required": false; }; "visual": { "alias": "visual"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "label": { "alias": "label"; "required": false; }; }, {}, never, never, true, never>;
}
