/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { QueryList } from '@angular/core';
import { CollectionComponent } from '../common/collection.component';
import { CollectionService, Item } from '../common/collection.service';
import { ConfigurationService } from '../common/configuration.service';
import * as i0 from "@angular/core";
/**
 * A collection of one or more value axis configuration components.
 *
 * @example
 * ```html
 * <kendo-chart>
 *     <kendo-chart-value-axis>
 *         ....
 *     </kendo-chart-value-axis>
 * </kendo-chart>
 * ```
 */
export declare class ValueAxisComponent extends CollectionComponent {
    protected configurationService: ConfigurationService;
    protected collectionService: CollectionService;
    children: QueryList<Item>;
    constructor(configurationService: ConfigurationService, collectionService: CollectionService);
    static ɵfac: i0.ɵɵFactoryDeclaration<ValueAxisComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<ValueAxisComponent, "kendo-chart-value-axis", never, {}, {}, ["children"], never, true, never>;
}
