/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { XAxisCrosshair, XAxisCrosshairTooltip } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import * as i0 from "@angular/core";
/**
 * The crosshair configuration options
 * ([see example]({% slug api_charts_xaxiscomponent %})).
 */
export declare class XAxisCrosshairComponent extends SettingsComponent implements XAxisCrosshair {
    configurationService: ConfigurationService;
    color: string;
    /**
     * The opacity of the crosshair. By default, the crosshair is opaque.
     * @default 1
     */
    opacity: number;
    /**
     * If set to `true`, the Chart displays the X-axis crosshair of the Scatter Chart.
     * @default false
     */
    visible: boolean;
    /**
     * The width of the crosshair in pixels.
     * @default 1
     */
    width: number;
    tooltip: XAxisCrosshairTooltip;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<XAxisCrosshairComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<XAxisCrosshairComponent, "kendo-chart-x-axis-item-crosshair", never, { "color": { "alias": "color"; "required": false; }; "opacity": { "alias": "opacity"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; "width": { "alias": "width"; "required": false; }; "tooltip": { "alias": "tooltip"; "required": false; }; }, {}, never, never, true, never>;
}
