/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { drawing } from '@progress/kendo-drawing';
import { ConfigurationService } from '../../common/configuration.service';
import { AxisNoteVisualArgs, NoteLine, NotePosition } from '../../common/property-types';
import { YAxisNotes, YAxisNotesIcon, YAxisNotesLabel } from '../../common/property-types';
import { SettingsComponent } from '../../common/settings.component';
import * as i0 from "@angular/core";
/**
 * The configuration of the Y axis notes
 * ([see example]({% slug api_charts_yaxiscomponent %})).
 */
export declare class YAxisNotesComponent extends SettingsComponent implements YAxisNotes {
    configurationService: ConfigurationService;
    data: any[];
    line: NoteLine;
    position: NotePosition;
    visual: (e: AxisNoteVisualArgs) => drawing.Element;
    icon: YAxisNotesIcon;
    label: YAxisNotesLabel;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<YAxisNotesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<YAxisNotesComponent, "kendo-chart-y-axis-item-notes", never, { "data": { "alias": "data"; "required": false; }; "line": { "alias": "line"; "required": false; }; "position": { "alias": "position"; "required": false; }; "visual": { "alias": "visual"; "required": false; }; "icon": { "alias": "icon"; "required": false; }; "label": { "alias": "label"; "required": false; }; }, {}, never, never, true, never>;
}
