/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { AfterContentInit, OnDestroy, QueryList } from '@angular/core';
import { ConfigurationService } from './configuration.service';
import { CollectionService, Item } from './collection.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare abstract class CollectionComponent implements AfterContentInit, OnDestroy {
    protected configKey: string;
    protected configurationService: ConfigurationService;
    protected collectionService: CollectionService;
    children: QueryList<Item>;
    private subscription;
    private items;
    constructor(configKey: string, configurationService: ConfigurationService, collectionService: CollectionService);
    ngOnDestroy(): void;
    ngAfterContentInit(): void;
    private processChanges;
    private readItems;
    private change;
    static ɵfac: i0.ɵɵFactoryDeclaration<CollectionComponent, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<CollectionComponent, never, never, {}, {}, never, never, false, never>;
}
