/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { InjectionToken, NgZone } from '@angular/core';
import { ConfigurationService, Change } from './configuration.service';
import { RootConfigurationService } from './root-configuration.service';
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export declare const PREFIX: InjectionToken<string>;
/**
 * @hidden
 */
export declare class PrefixConfigurationService extends ConfigurationService {
    protected rootService: RootConfigurationService;
    protected prefix: string;
    constructor(rootService: RootConfigurationService, prefix: string, ngZone: NgZone);
    push(store: any): void;
    notify(change: Change): void;
    static ɵfac: i0.ɵɵFactoryDeclaration<PrefixConfigurationService, never>;
    static ɵprov: i0.ɵɵInjectableDeclaration<PrefixConfigurationService>;
}
