/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { BaseEvent } from './base-event';
/**
 * Arguments for the `axisLabelClick` event([see example](slug:events_chart)).
 */
export class AxisLabelClickEvent extends BaseEvent {
    /**
     * The axis options to which the label belongs.
     */
    axis;
    /**
     * The original data item that is used to generate the label.
     * Available only for category axes which are populated from the `categoryField` of the series.
     */
    dataItem;
    /**
     * The label sequential or category index.
     */
    index;
    /**
     * The label text.
     */
    text;
    /**
     * The label value or category name.
     */
    value;
    /**
     * @hidden
     */
    constructor(e, sender) {
        super(sender);
        this.axis = e.axis;
        this.dataItem = e.dataItem;
        this.index = e.index;
        this.text = e.text;
        this.value = e.value;
    }
}
