/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from './preventable-event';
/**
 * Arguments for the `drilldown` event.
 *
 * See [Drilldown Charts](slug:drilldown_chart_charts).
 */
export class DrilldownEvent extends PreventableEvent {
    /**
     * The drilldown field value.
     */
    value;
    /**
     * The clicked series point.
     */
    point;
    /**
     * The clicked point series options.
     */
    series;
    /**
     * @hidden
     */
    constructor(e, sender) {
        super(sender);
        this.value = e.value;
        this.point = e.point;
        this.series = e.series;
    }
}
