/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from './preventable-event';
/**
 * @hidden
 */
export class LegendEvent extends PreventableEvent {
    /**
     * An object which contains the series options.
     */
    series;
    /**
     * The index of the series in the parent Chart.
     */
    seriesIndex;
    /**
     * The point index in the series.
     * Applicable only for the Pie, Donut, Funnel and Pyramid series.
     */
    pointIndex;
    /**
     * The text of the legend item.
     */
    text;
    /**
     * @hidden
     */
    constructor(e, sender) {
        super(sender);
        this.series = e.series;
        this.seriesIndex = e.seriesIndex;
        this.pointIndex = e.pointIndex;
        this.text = e.text;
    }
}
