/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { BaseEvent } from './base-event';
/**
 * Arguments for the `paneRender` event.
 */
export class PaneRenderEvent extends BaseEvent {
    /**
     * The chart pane.
     */
    pane;
    /**
     * The pane index.
     */
    index;
    /**
     * The pane name.
     */
    name;
    /**
     * @hidden
     */
    constructor(args, sender) {
        super(sender);
        Object.assign(this, args);
    }
}
