/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from './preventable-event';
/**
 * Arguments for the `selectStart` event.
 */
export class SelectStartEvent extends PreventableEvent {
    /**
     * The target axis options.
     */
    axis;
    /**
     * The lower boundary of the selected range.
     */
    from;
    /**
     * The upper boundary of the selected range.
     */
    to;
    /**
     * @hidden
     */
    constructor(e, sender) {
        super(sender);
        this.axis = e.axis;
        this.from = e.from;
        this.to = e.to;
    }
}
