/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SankeyNodeEvent } from './sankey-node-event';
import { SankeyLinkEvent } from './sankey-link-event';
const EVENT_MAP = {
    nodeEnter: SankeyNodeEvent,
    nodeLeave: SankeyNodeEvent,
    linkEnter: SankeyLinkEvent,
    linkLeave: SankeyLinkEvent,
    nodeClick: SankeyNodeEvent,
    linkClick: SankeyLinkEvent
};
/**
 * @hidden
 */
export class InstanceEventService {
    create(name, args, sender) {
        return new EVENT_MAP[name](args, sender);
    }
}
