/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { PreventableEvent } from '@progress/kendo-angular-common';
/**
 * @hidden
 */
export class SankeyBaseEvent extends PreventableEvent {
    /**
     * The `SankeyComponent` that triggered the event.
     */
    sender;
    /**
     * The original DOM event.
     */
    originalEvent;
    /**
     * @hidden
     */
    constructor(e, sender) {
        super();
        this.sender = sender;
        this.originalEvent = e.originalEvent;
    }
}
