/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The context that is passed to the Sankey diagram Link tooltip template.
 */
export class SankeyLinkTooltipTemplateContext {
    /**
     * The link source data item.
     */
    source;
    /**
     * The link target data item.
     */
    target;
    /**
     * The link value.
     */
    value;
    /**
     * @hidden
     */
    constructor(e) {
        const dataItem = e.dataItem;
        this.source = dataItem.source;
        this.target = dataItem.target;
        this.value = dataItem.value;
    }
}
