/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The context that is passed to the Sankey diagram Node tooltip template.
 */
export class SankeyNodeTooltipTemplateContext {
    /**
     * The node color.
     */
    color;
    /**
     * The node label data.
     */
    label;
    /**
     * The node value.
     */
    value;
    /**
     * @hidden
     */
    constructor(e) {
        const dataItem = e.dataItem;
        this.label = dataItem.label;
        this.color = dataItem.color;
        this.value = e.nodeValue;
    }
}
