/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { Directive, HostBinding, Input } from "@angular/core";
import * as i0 from "@angular/core";
/**
 * @hidden
 */
export class SquareSymbol {
    color;
    size = 15;
    display = 'inline-flex';
    marginLeft = 3;
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SquareSymbol, deps: [], target: i0.ɵɵFactoryTarget.Directive });
    static ɵdir = i0.ɵɵngDeclareDirective({ minVersion: "14.0.0", version: "16.2.12", type: SquareSymbol, isStandalone: true, selector: "[squareSymbol]", inputs: { color: "color", size: "size" }, host: { properties: { "style.backgroundColor": "this.color", "style.width.px": "this.size", "style.height.px": "this.size", "style.display": "this.display", "style.marginLeft.px": "this.marginLeft" } }, ngImport: i0 });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: SquareSymbol, decorators: [{
            type: Directive,
            args: [{
                    selector: '[squareSymbol]',
                    standalone: true
                }]
        }], propDecorators: { color: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['style.backgroundColor']
            }], size: [{
                type: Input
            }, {
                type: HostBinding,
                args: ['style.width.px']
            }, {
                type: HostBinding,
                args: ['style.height.px']
            }], display: [{
                type: HostBinding,
                args: ['style.display']
            }], marginLeft: [{
                type: HostBinding,
                args: ['style.marginLeft.px']
            }] } });
