/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NgModule } from '@angular/core';
import { PopupService } from '@progress/kendo-angular-popup';
import { ResizeBatchService } from '@progress/kendo-angular-common';
import { KENDO_CHART, KENDO_STOCKCHART } from './directives';
import { ThemeService } from './common/theme.service';
import { IconsService } from '@progress/kendo-angular-icons';
import * as i0 from "@angular/core";
import * as i1 from "./stock-chart.component";
import * as i2 from "./stock-chart/navigator.component";
import * as i3 from "./stock-chart/navigator/category-axis.component";
import * as i4 from "./stock-chart/navigator/category-axis/crosshair.component";
import * as i5 from "./stock-chart/navigator/category-axis/crosshair.tooltip.component";
import * as i6 from "./stock-chart/navigator/category-axis/labels.component";
import * as i7 from "./stock-chart/navigator/category-axis/notes.component";
import * as i8 from "./stock-chart/navigator/category-axis/notes.icon.component";
import * as i9 from "./stock-chart/navigator/category-axis/notes.label.component";
import * as i10 from "./stock-chart/navigator/category-axis/select.component";
import * as i11 from "./stock-chart/navigator/category-axis/title.component";
import * as i12 from "./stock-chart/navigator/hint.component";
import * as i13 from "./stock-chart/navigator/pane.component";
import * as i14 from "./stock-chart/navigator/pane/title.component";
import * as i15 from "./stock-chart/navigator/select.component";
import * as i16 from "./stock-chart/navigator/series.component";
import * as i17 from "./stock-chart/navigator/series-item.component";
import * as i18 from "./stock-chart/navigator/series-item/error-bars.component";
import * as i19 from "./stock-chart/navigator/series-item/extremes.component";
import * as i20 from "./stock-chart/navigator/series-item/highlight.component";
import * as i21 from "./stock-chart/navigator/series-item/labels.component";
import * as i22 from "./stock-chart/navigator/series-item/labels.from.component";
import * as i23 from "./stock-chart/navigator/series-item/labels.to.component";
import * as i24 from "./stock-chart/navigator/series-item/markers.component";
import * as i25 from "./stock-chart/navigator/series-item/notes.component";
import * as i26 from "./stock-chart/navigator/series-item/notes.icon.component";
import * as i27 from "./stock-chart/navigator/series-item/notes.label.component";
import * as i28 from "./stock-chart/navigator/series-item/outliers.component";
import * as i29 from "./stock-chart/navigator/series-item/tooltip.component";
import * as i30 from "./chart/tooltip/tooltip-popup.component";
import * as i31 from "./chart/tooltip/series-tooltip-template.directive";
import * as i32 from "./chart/tooltip/shared-tooltip-template.directive";
import * as i33 from "./chart/tooltip/crosshair-tooltips-container.component";
import * as i34 from "./chart/tooltip/crosshair-tooltip.component";
import * as i35 from "./chart/axis-defaults.component";
import * as i36 from "./chart/axis-defaults/crosshair.component";
import * as i37 from "./chart/axis-defaults/crosshair.tooltip.component";
import * as i38 from "./chart/axis-defaults/labels.component";
import * as i39 from "./chart/axis-defaults/title.component";
import * as i40 from "./chart/category-axis.component";
import * as i41 from "./chart/category-axis-item/crosshair.component";
import * as i42 from "./chart/category-axis-item/crosshair.tooltip.component";
import * as i43 from "./chart/category-axis-item.component";
import * as i44 from "./chart/category-axis-item/labels.component";
import * as i45 from "./chart/category-axis-item/range-labels.component";
import * as i46 from "./chart/category-axis-item/notes.component";
import * as i47 from "./chart/category-axis-item/notes.icon.component";
import * as i48 from "./chart/category-axis-item/notes.label.component";
import * as i49 from "./chart/category-axis-item/select.component";
import * as i50 from "./chart/category-axis-item/title.component";
import * as i51 from "./chart/chart-area.component";
import * as i52 from "./chart-breadcrumb.component";
import * as i53 from "./chart/legend.component";
import * as i54 from "./chart/legend/inactive-items.component";
import * as i55 from "./chart/legend/item.component";
import * as i56 from "./chart/pane.component";
import * as i57 from "./chart/pane-defaults.component";
import * as i58 from "./chart/pane-defaults/title.component";
import * as i59 from "./chart/panes.component";
import * as i60 from "./chart/pane/title.component";
import * as i61 from "./chart/plot-area.component";
import * as i62 from "./chart/series.component";
import * as i63 from "./chart/series-defaults.component";
import * as i64 from "./chart/series-defaults/labels.component";
import * as i65 from "./chart/series-defaults/labels.from.component";
import * as i66 from "./chart/series-defaults/labels.to.component";
import * as i67 from "./chart/series-defaults/notes.component";
import * as i68 from "./chart/series-defaults/notes.icon.component";
import * as i69 from "./chart/series-defaults/notes.label.component";
import * as i70 from "./chart/series-defaults/tooltip.component";
import * as i71 from "./chart/series-drilldown-template.directive";
import * as i72 from "./chart/series-item/error-bars.component";
import * as i73 from "./chart/series-item/extremes.component";
import * as i74 from "./chart/series-item/highlight.component";
import * as i75 from "./chart/series-item.component";
import * as i76 from "./chart/series-item/labels.component";
import * as i77 from "./chart/series-item/labels.from.component";
import * as i78 from "./chart/series-item/labels.to.component";
import * as i79 from "./chart/series-item/markers.component";
import * as i80 from "./chart/series-item/notes.component";
import * as i81 from "./chart/series-item/notes.icon.component";
import * as i82 from "./chart/series-item/notes.label.component";
import * as i83 from "./chart/series-item/outliers.component";
import * as i84 from "./chart/series-item/tooltip.component";
import * as i85 from "./chart/series-item/trendline.component";
import * as i86 from "./chart/series-item/trendline.forecast.component";
import * as i87 from "./chart/subtitle.component";
import * as i88 from "./chart/title.component";
import * as i89 from "./chart/tooltip.component";
import * as i90 from "./chart/value-axis.component";
import * as i91 from "./chart/value-axis-item/crosshair.component";
import * as i92 from "./chart/value-axis-item/crosshair.tooltip.component";
import * as i93 from "./chart/value-axis-item.component";
import * as i94 from "./chart/value-axis-item/labels.component";
import * as i95 from "./chart/value-axis-item/notes.component";
import * as i96 from "./chart/value-axis-item/notes.icon.component";
import * as i97 from "./chart/value-axis-item/notes.label.component";
import * as i98 from "./chart/value-axis-item/title.component";
import * as i99 from "./chart.component";
import * as i100 from "./chart/donut-center-template.directive";
import * as i101 from "./chart/no-data-template.directive";
import * as i102 from "./chart/x-axis.component";
import * as i103 from "./chart/x-axis-item/crosshair.component";
import * as i104 from "./chart/x-axis-item/crosshair.tooltip.component";
import * as i105 from "./chart/x-axis-item.component";
import * as i106 from "./chart/x-axis-item/labels.component";
import * as i107 from "./chart/x-axis-item/notes.component";
import * as i108 from "./chart/x-axis-item/notes.icon.component";
import * as i109 from "./chart/x-axis-item/notes.label.component";
import * as i110 from "./chart/x-axis-item/title.component";
import * as i111 from "./chart/y-axis.component";
import * as i112 from "./chart/y-axis-item/crosshair.component";
import * as i113 from "./chart/y-axis-item/crosshair.tooltip.component";
import * as i114 from "./chart/y-axis-item.component";
import * as i115 from "./chart/y-axis-item/labels.component";
import * as i116 from "./chart/y-axis-item/notes.component";
import * as i117 from "./chart/y-axis-item/notes.icon.component";
import * as i118 from "./chart/y-axis-item/notes.label.component";
import * as i119 from "./chart/y-axis-item/title.component";
import * as i120 from "./chart/zoomable.component";
import * as i121 from "./chart/localization/custom-messages.component";
import * as i122 from "./chart/localization/localized-messages.directive";
//IMPORTANT: NgModule export kept for backwards compatibility
/**
 * A [module](link:site.data.urls.angular['ngmoduleapi']) that includes the StockChart component and directives.
 *
 * Imports the StockChartModule into your application
 * [root module](link:site.data.urls.angular['ngmodules']#angular-modularity) or any other sub-module
 * that will use the StockChart component.
 *
 * @example
 * ```ts-no-run
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { StockChartModule } from '@progress/kendo-angular-charts';
 * import { AppComponent } from './app.component';
 *
 * _@NgModule({
 *     bootstrap:    [AppComponent],
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, StockChartModule]
 * })
 * export class AppModule {
 * }
 * ```
 */
export class StockChartModule {
    static ɵfac = i0.ɵɵngDeclareFactory({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: StockChartModule, deps: [], target: i0.ɵɵFactoryTarget.NgModule });
    static ɵmod = i0.ɵɵngDeclareNgModule({ minVersion: "14.0.0", version: "16.2.12", ngImport: i0, type: StockChartModule, imports: [i1.StockChartComponent, i2.NavigatorComponent, i3.NavigatorCategoryAxisComponent, i4.NavigatorCategoryAxisCrosshairComponent, i5.NavigatorCategoryAxisCrosshairTooltipComponent, i6.NavigatorCategoryAxisLabelsComponent, i7.NavigatorCategoryAxisNotesComponent, i8.NavigatorCategoryAxisNotesIconComponent, i9.NavigatorCategoryAxisNotesLabelComponent, i10.NavigatorCategoryAxisSelectComponent, i11.NavigatorCategoryAxisTitleComponent, i12.NavigatorHintComponent, i13.NavigatorPaneComponent, i14.NavigatorPaneTitleComponent, i15.NavigatorSelectComponent, i16.NavigatorSeriesComponent, i17.NavigatorSeriesItemComponent, i18.NavigatorSeriesErrorBarsComponent, i19.NavigatorSeriesExtremesComponent, i20.NavigatorSeriesHighlightComponent, i21.NavigatorSeriesLabelsComponent, i22.NavigatorSeriesLabelsFromComponent, i23.NavigatorSeriesLabelsToComponent, i24.NavigatorSeriesMarkersComponent, i25.NavigatorSeriesNotesComponent, i26.NavigatorSeriesNotesIconComponent, i27.NavigatorSeriesNotesLabelComponent, i28.NavigatorSeriesOutliersComponent, i29.NavigatorSeriesTooltipComponent, i30.TooltipPopupComponent, i31.SeriesTooltipTemplateDirective, i32.SharedTooltipTemplateDirective, i33.CrosshairTooltipsContainerComponent, i34.CrosshairTooltipComponent, i35.AxisDefaultsComponent, i36.AxisDefaultsCrosshairComponent, i37.AxisDefaultsCrosshairTooltipComponent, i38.AxisDefaultsLabelsComponent, i39.AxisDefaultsTitleComponent, i40.CategoryAxisComponent, i41.CategoryAxisCrosshairComponent, i42.CategoryAxisCrosshairTooltipComponent, i43.CategoryAxisItemComponent, i44.CategoryAxisLabelsComponent, i45.CategoryAxisRangeLabelsComponent, i46.CategoryAxisNotesComponent, i47.CategoryAxisNotesIconComponent, i48.CategoryAxisNotesLabelComponent, i49.CategoryAxisSelectComponent, i50.CategoryAxisTitleComponent, i51.ChartAreaComponent, i52.ChartBreadcrumbComponent, i53.LegendComponent, i54.LegendInactiveItemsComponent, i55.LegendItemComponent, i56.PaneComponent, i57.PaneDefaultsComponent, i58.PaneDefaultsTitleComponent, i59.PanesComponent, i60.PanesTitleComponent, i61.PlotAreaComponent, i62.SeriesComponent, i63.SeriesDefaultsComponent, i64.SeriesDefaultsLabelsComponent, i65.SeriesDefaultsLabelsFromComponent, i66.SeriesDefaultsLabelsToComponent, i67.SeriesDefaultsNotesComponent, i68.SeriesDefaultsNotesIconComponent, i69.SeriesDefaultsNotesLabelComponent, i70.SeriesDefaultsTooltipComponent, i71.SeriesDrilldownTemplateDirective, i72.SeriesErrorBarsComponent, i73.SeriesExtremesComponent, i74.SeriesHighlightComponent, i75.SeriesItemComponent, i76.SeriesLabelsComponent, i77.SeriesLabelsFromComponent, i78.SeriesLabelsToComponent, i79.SeriesMarkersComponent, i80.SeriesNotesComponent, i81.SeriesNotesIconComponent, i82.SeriesNotesLabelComponent, i83.SeriesOutliersComponent, i84.SeriesTooltipComponent, i85.SeriesTrendlineComponent, i86.SeriesTrendlineForecastComponent, i87.SubtitleComponent, i88.TitleComponent, i89.TooltipComponent, i90.ValueAxisComponent, i91.ValueAxisCrosshairComponent, i92.ValueAxisCrosshairTooltipComponent, i93.ValueAxisItemComponent, i94.ValueAxisLabelsComponent, i95.ValueAxisNotesComponent, i96.ValueAxisNotesIconComponent, i97.ValueAxisNotesLabelComponent, i98.ValueAxisTitleComponent, i99.ChartComponent, i100.DonutCenterTemplateDirective, i101.NoDataTemplateDirective, i102.XAxisComponent, i103.XAxisCrosshairComponent, i104.XAxisCrosshairTooltipComponent, i105.XAxisItemComponent, i106.XAxisLabelsComponent, i107.XAxisNotesComponent, i108.XAxisNotesIconComponent, i109.XAxisNotesLabelComponent, i110.XAxisTitleComponent, i111.YAxisComponent, i112.YAxisCrosshairComponent, i113.YAxisCrosshairTooltipComponent, i114.YAxisItemComponent, i115.YAxisLabelsComponent, i116.YAxisNotesComponent, i117.YAxisNotesIconComponent, i118.YAxisNotesLabelComponent, i119.YAxisTitleComponent, i120.ZoomableComponent, i30.TooltipPopupComponent, i31.SeriesTooltipTemplateDirective, i32.SharedTooltipTemplateDirective, i33.CrosshairTooltipsContainerComponent, i34.CrosshairTooltipComponent, i35.AxisDefaultsComponent, i36.AxisDefaultsCrosshairComponent, i37.AxisDefaultsCrosshairTooltipComponent, i38.AxisDefaultsLabelsComponent, i39.AxisDefaultsTitleComponent, i40.CategoryAxisComponent, i41.CategoryAxisCrosshairComponent, i42.CategoryAxisCrosshairTooltipComponent, i43.CategoryAxisItemComponent, i44.CategoryAxisLabelsComponent, i45.CategoryAxisRangeLabelsComponent, i46.CategoryAxisNotesComponent, i47.CategoryAxisNotesIconComponent, i48.CategoryAxisNotesLabelComponent, i49.CategoryAxisSelectComponent, i50.CategoryAxisTitleComponent, i51.ChartAreaComponent, i52.ChartBreadcrumbComponent, i121.ChartCustomMessagesComponent, i122.LocalizedChartMessagesDirective, i53.LegendComponent, i54.LegendInactiveItemsComponent, i55.LegendItemComponent, i56.PaneComponent, i57.PaneDefaultsComponent, i58.PaneDefaultsTitleComponent, i59.PanesComponent, i60.PanesTitleComponent, i61.PlotAreaComponent, i62.SeriesComponent, i63.SeriesDefaultsComponent, i64.SeriesDefaultsLabelsComponent, i65.SeriesDefaultsLabelsFromComponent, i66.SeriesDefaultsLabelsToComponent, i67.SeriesDefaultsNotesComponent, i68.SeriesDefaultsNotesIconComponent, i69.SeriesDefaultsNotesLabelComponent, i70.SeriesDefaultsTooltipComponent, i71.SeriesDrilldownTemplateDirective, i72.SeriesErrorBarsComponent, i73.SeriesExtremesComponent, i74.SeriesHighlightComponent, i75.SeriesItemComponent, i76.SeriesLabelsComponent, i77.SeriesLabelsFromComponent, i78.SeriesLabelsToComponent, i79.SeriesMarkersComponent, i80.SeriesNotesComponent, i81.SeriesNotesIconComponent, i82.SeriesNotesLabelComponent, i83.SeriesOutliersComponent, i84.SeriesTooltipComponent, i85.SeriesTrendlineComponent, i86.SeriesTrendlineForecastComponent, i87.SubtitleComponent, i88.TitleComponent, i89.TooltipComponent, i90.ValueAxisComponent, i91.ValueAxisCrosshairComponent, i92.ValueAxisCrosshairTooltipComponent, i93.ValueAxisItemComponent, i94.ValueAxisLabelsComponent, i95.ValueAxisNotesComponent, i96.ValueAxisNotesIconComponent, i97.ValueAxisNotesLabelComponent, i98.ValueAxisTitleComponent], exports: [i1.StockChartComponent, i2.NavigatorComponent, i3.NavigatorCategoryAxisComponent, i4.NavigatorCategoryAxisCrosshairComponent, i5.NavigatorCategoryAxisCrosshairTooltipComponent, i6.NavigatorCategoryAxisLabelsComponent, i7.NavigatorCategoryAxisNotesComponent, i8.NavigatorCategoryAxisNotesIconComponent, i9.NavigatorCategoryAxisNotesLabelComponent, i10.NavigatorCategoryAxisSelectComponent, i11.NavigatorCategoryAxisTitleComponent, i12.NavigatorHintComponent, i13.NavigatorPaneComponent, i14.NavigatorPaneTitleComponent, i15.NavigatorSelectComponent, i16.NavigatorSeriesComponent, i17.NavigatorSeriesItemComponent, i18.NavigatorSeriesErrorBarsComponent, i19.NavigatorSeriesExtremesComponent, i20.NavigatorSeriesHighlightComponent, i21.NavigatorSeriesLabelsComponent, i22.NavigatorSeriesLabelsFromComponent, i23.NavigatorSeriesLabelsToComponent, i24.NavigatorSeriesMarkersComponent, i25.NavigatorSeriesNotesComponent, i26.NavigatorSeriesNotesIconComponent, i27.NavigatorSeriesNotesLabelComponent, i28.NavigatorSeriesOutliersComponent, i29.NavigatorSeriesTooltipComponent, i30.TooltipPopupComponent, i31.SeriesTooltipTemplateDirective, i32.SharedTooltipTemplateDirective, i33.CrosshairTooltipsContainerComponent, i34.CrosshairTooltipComponent, i35.AxisDefaultsComponent, i36.AxisDefaultsCrosshairComponent, i37.AxisDefaultsCrosshairTooltipComponent, i38.AxisDefaultsLabelsComponent, i39.AxisDefaultsTitleComponent, i40.CategoryAxisComponent, i41.CategoryAxisCrosshairComponent, i42.CategoryAxisCrosshairTooltipComponent, i43.CategoryAxisItemComponent, i44.CategoryAxisLabelsComponent, i45.CategoryAxisRangeLabelsComponent, i46.CategoryAxisNotesComponent, i47.CategoryAxisNotesIconComponent, i48.CategoryAxisNotesLabelComponent, i49.CategoryAxisSelectComponent, i50.CategoryAxisTitleComponent, i51.ChartAreaComponent, i52.ChartBreadcrumbComponent, i53.LegendComponent, i54.LegendInactiveItemsComponent, i55.LegendItemComponent, i56.PaneComponent, i57.PaneDefaultsComponent, i58.PaneDefaultsTitleComponent, i59.PanesComponent, i60.PanesTitleComponent, i61.PlotAreaComponent, i62.SeriesComponent, i63.SeriesDefaultsComponent, i64.SeriesDefaultsLabelsComponent, i65.SeriesDefaultsLabelsFromComponent, i66.SeriesDefaultsLabelsToComponent, i67.SeriesDefaultsNotesComponent, i68.SeriesDefaultsNotesIconComponent, i69.SeriesDefaultsNotesLabelComponent, i70.SeriesDefaultsTooltipComponent, i71.SeriesDrilldownTemplateDirective, i72.SeriesErrorBarsComponent, i73.SeriesExtremesComponent, i74.SeriesHighlightComponent, i75.SeriesItemComponent, i76.SeriesLabelsComponent, i77.SeriesLabelsFromComponent, i78.SeriesLabelsToComponent, i79.SeriesMarkersComponent, i80.SeriesNotesComponent, i81.SeriesNotesIconComponent, i82.SeriesNotesLabelComponent, i83.SeriesOutliersComponent, i84.SeriesTooltipComponent, i85.SeriesTrendlineComponent, i86.SeriesTrendlineForecastComponent, i87.SubtitleComponent, i88.TitleComponent, i89.TooltipComponent, i90.ValueAxisComponent, i91.ValueAxisCrosshairComponent, i92.ValueAxisCrosshairTooltipComponent, i93.ValueAxisItemComponent, i94.ValueAxisLabelsComponent, i95.ValueAxisNotesComponent, i96.ValueAxisNotesIconComponent, i97.ValueAxisNotesLabelComponent, i98.ValueAxisTitleComponent, i99.ChartComponent, i100.DonutCenterTemplateDirective, i101.NoDataTemplateDirective, i102.XAxisComponent, i103.XAxisCrosshairComponent, i104.XAxisCrosshairTooltipComponent, i105.XAxisItemComponent, i106.XAxisLabelsComponent, i107.XAxisNotesComponent, i108.XAxisNotesIconComponent, i109.XAxisNotesLabelComponent, i110.XAxisTitleComponent, i111.YAxisComponent, i112.YAxisCrosshairComponent, i113.YAxisCrosshairTooltipComponent, i114.YAxisItemComponent, i115.YAxisLabelsComponent, i116.YAxisNotesComponent, i117.YAxisNotesIconComponent, i118.YAxisNotesLabelComponent, i119.YAxisTitleComponent, i120.ZoomableComponent, i30.TooltipPopupComponent, i31.SeriesTooltipTemplateDirective, i32.SharedTooltipTemplateDirective, i33.CrosshairTooltipsContainerComponent, i34.CrosshairTooltipComponent, i35.AxisDefaultsComponent, i36.AxisDefaultsCrosshairComponent, i37.AxisDefaultsCrosshairTooltipComponent, i38.AxisDefaultsLabelsComponent, i39.AxisDefaultsTitleComponent, i40.CategoryAxisComponent, i41.CategoryAxisCrosshairComponent, i42.CategoryAxisCrosshairTooltipComponent, i43.CategoryAxisItemComponent, i44.CategoryAxisLabelsComponent, i45.CategoryAxisRangeLabelsComponent, i46.CategoryAxisNotesComponent, i47.CategoryAxisNotesIconComponent, i48.CategoryAxisNotesLabelComponent, i49.CategoryAxisSelectComponent, i50.CategoryAxisTitleComponent, i51.ChartAreaComponent, i52.ChartBreadcrumbComponent, i121.ChartCustomMessagesComponent, i122.LocalizedChartMessagesDirective, i53.LegendComponent, i54.LegendInactiveItemsComponent, i55.LegendItemComponent, i56.PaneComponent, i57.PaneDefaultsComponent, i58.PaneDefaultsTitleComponent, i59.PanesComponent, i60.PanesTitleComponent, i61.PlotAreaComponent, i62.SeriesComponent, i63.SeriesDefaultsComponent, i64.SeriesDefaultsLabelsComponent, i65.SeriesDefaultsLabelsFromComponent, i66.SeriesDefaultsLabelsToComponent, i67.SeriesDefaultsNotesComponent, i68.SeriesDefaultsNotesIconComponent, i69.SeriesDefaultsNotesLabelComponent, i70.SeriesDefaultsTooltipComponent, i71.SeriesDrilldownTemplateDirective, i72.SeriesErrorBarsComponent, i73.SeriesExtremesComponent, i74.SeriesHighlightComponent, i75.SeriesItemComponent, i76.SeriesLabelsComponent, i77.SeriesLabelsFromComponent, i78.SeriesLabelsToComponent, i79.SeriesMarkersComponent, i80.SeriesNotesComponent, i81.SeriesNotesIconComponent, i82.SeriesNotesLabelComponent, i83.SeriesOutliersComponent, i84.SeriesTooltipComponent, i85.SeriesTrendlineComponent, i86.SeriesTrendlineForecastComponent, i87.SubtitleComponent, i88.TitleComponent, i89.TooltipComponent, i90.ValueAxisComponent, i91.ValueAxisCrosshairComponent, i92.ValueAxisCrosshairTooltipComponent, i93.ValueAxisItemComponent, i94.ValueAxisLabelsComponent, i95.ValueAxisNotesComponent, i96.ValueAxisNotesIconComponent, i97.ValueAxisNotesLabelComponent, i98.ValueAxisTitleComponent] });
    static ɵinj = i0.ɵɵngDeclareInjector({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: StockChartModule, providers: [ThemeService, IconsService, PopupService, ResizeBatchService], imports: [i1.StockChartComponent, i52.ChartBreadcrumbComponent, i99.ChartComponent, i52.ChartBreadcrumbComponent] });
}
i0.ɵɵngDeclareClassMetadata({ minVersion: "12.0.0", version: "16.2.12", ngImport: i0, type: StockChartModule, decorators: [{
            type: NgModule,
            args: [{
                    imports: [...KENDO_STOCKCHART, ...KENDO_CHART],
                    exports: [...KENDO_STOCKCHART, ...KENDO_CHART],
                    providers: [ThemeService, IconsService, PopupService, ResizeBatchService]
                }]
        }] });
