/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChartComponent } from '../chart.component';
import { BaseEvent } from './base-event';
import { EventAxisOptions } from '../api-types/event-axis-options.interface';
/**
 * Arguments for the `axisLabelClick` event([see example](slug:events_chart)).
 */
export declare class AxisLabelClickEvent extends BaseEvent {
    /**
     * The axis options to which the label belongs.
     */
    axis: EventAxisOptions;
    /**
     * The original data item that is used to generate the label.
     * Available only for category axes which are populated from the `categoryField` of the series.
     */
    dataItem: any;
    /**
     * The label sequential or category index.
     */
    index: number;
    /**
     * The label text.
     */
    text: string;
    /**
     * The label value or category name.
     */
    value: any;
    /**
     * @hidden
     */
    constructor(e: any, sender: ChartComponent);
}
