/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChartComponent } from '../chart.component';
import { PreventableEvent } from './preventable-event';
import { EventSeriesOptions } from '../api-types/event-series-options.interface';
import { SeriesPoint } from '../api-types/series-point.interface';
/**
 * Arguments for the `drilldown` event.
 *
 * See [Drilldown Charts](slug:drilldown_chart_charts).
 */
export declare class DrilldownEvent extends PreventableEvent {
    /**
     * The drilldown field value.
     */
    value: any;
    /**
     * The clicked series point.
     */
    point: SeriesPoint;
    /**
     * The clicked point series options.
     */
    series: EventSeriesOptions;
    /**
     * @hidden
     */
    constructor(e: any, sender: ChartComponent);
}
