/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ChartComponent } from '../chart.component';
import { BaseEvent } from './base-event';
import { EventSeriesOptions } from '../api-types/event-series-options.interface';
/**
 * @hidden
 */
export declare class NoteEvent extends BaseEvent {
    /**
     * The data point category. Available only for the Categorical charts (Bar, Line, Area, and similar).
     */
    category: any;
    /**
     * The data item of the point note.
     */
    dataItem: any;
    /**
     * An object containing the note series options.
     */
    series: EventSeriesOptions;
    /**
     * The note value.
     */
    value: any;
    /**
     * The note visual element.
     */
    visual: any;
    /**
     * @hidden
     */
    constructor(e: any, sender: ChartComponent);
}
