/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Specifies an axis for locking during the pan and zoom operations ([see example](slug:panzoom_chart_charts#toc-disabling-pan-and-zoom-directions)).
 *
 * The possible values are:
 * - `"none"`&mdash;No axis is locked.
 * - `"x"`&mdash;The X axis is locked.
 * - `"y"`&mdash;The Y axis is locked.
 *
 */
export type LockAxis = 'none' | 'x' | 'y';
