/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Configuration of the mousewheel action for selection.
 */
export interface MousewheelSelect {
    /**
     * If set to `true`, the option reverses the mousewheel direction.
     * The normal direction is down for `"zoom out"`.
     * The normal direction is up for `"zoom in"`.
     */
    reverse?: boolean;
    /**
     * The zoom direction of the selection.
     * The `both` option enables zooming to expand and contract the selection on both sides, while the `left` option allows zooming on the left side only, and the `right` option permits zooming on the right side only.
     */
    zoom?: 'both' | 'left' | 'right';
}
