/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Appearance settings for the overlay of the series elements.
 */
export interface Overlay {
    /**
     * The gradient of the Chart series.
     *
     * The `glass` is applicable for Bar, Column and Candlestick. The `roundedBevel` and `sharpBevel` are applicable to Donut and Pie series.
     */
    gradient?: 'glass' | 'none' | 'roundedBevel' | 'sharpBevel';
}
