/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * The alignment of the label when [`series.type`](slug:api_charts_series#toc-type) is set to `"donut"`, `"funnel"`, `"pyramid"` or `"pie"`.
 *
 * The supported values  for `"donut"` and `"pie"` are:
 *
 * - `"circle"`&mdash;The labels are positioned in circle around the Chart.
 * - `"column"`&mdash;The labels are positioned in columns to the left and right of the Chart.
 *
 * The supported values for `"funnel"` and `"pyramid"` are:
 *
 * - `"center"`&mdash;The labels are positioned in the center over the segment.
 * - `"right"`&mdash;The labels are positioned on the right side of the Chart and, if there is enough space, do not overlap the segments.
 * - `"left"`&mdash;The labels are positioned on the left side of the Chart and, if there is enough space, do not overlap the segments.
 *
 */
export type SeriesLabelsAlignment = 'circle' | 'column' | 'center' | 'right' | 'left';
