/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
/**
 * Configures the Stacked series.
 */
export interface SeriesStack {
    /**
     * The optional stack group name.
     * The `group` option is supported for the Bar and Column series.
     */
    group?: string;
    /**
     * The type of stack to plot.
     *
     * The `normal` option sums up all the points within the category or group to determine the stack value. On the other hand, the `100%` option always sets the stack value to 100% (1.00), with individual points represented as percentages within the category or group.
     */
    type?: 'normal' | '100%';
}
