/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { drawing } from '@progress/kendo-drawing';
import { AxisNoteVisualArgs, NoteLine, NotePosition } from '../../common/property-types';
import { CategoryAxisNotesIcon } from './notes.icon.interface';
import { CategoryAxisNotesLabel } from './notes.label.interface';
/**
 * The configuration options of the category axis notes.
 */
export interface CategoryAxisNotes {
    /**
     * The items of the notes.
     */
    data?: any[];
    /**
     * The line of the notes.
     */
    line?: NoteLine;
    /**
     * The position of the category axis note.
     */
    position?: NotePosition;
    /**
     * A function that can be used to create a custom visual for the notes.
     */
    visual?: (e: AxisNoteVisualArgs) => drawing.Element;
    /**
     * The icon of the notes.
     */
    icon?: CategoryAxisNotesIcon;
    /**
     * The label of the notes.
     */
    label?: CategoryAxisNotesLabel;
}
