/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { drawing } from '@progress/kendo-drawing';
import { MarkersVisualArgs, MarkerType } from '../../common/property-types';
/**
 * The configuration options of the legend markers.
 */
export interface LegendMarkers {
    /**
     * The width (in pixels) of the markers. Defaults to `15`.
     */
    width?: number;
    /**
     * The height (in pixels) of the markers. Defaults to `3`.
     */
    height?: number;
    /**
     * The shape of the legend item markers. Defaults to `circle`.
     */
    type?: MarkerType;
    /**
     * If set to `true`, the Chart displays the markers.
     * By default, the legend item markers are displayed.
     */
    visible?: boolean;
    /**
     * A function for creating a custom visual for the markers.
     */
    visual?: (e: MarkersVisualArgs) => drawing.Element;
}
