/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { drawing } from '@progress/kendo-drawing';
import { NoteLine, SeriesNoteVisualArgs } from '../../common/property-types';
import { SeriesDefaultsNotesIcon } from './notes.icon.interface';
import { SeriesDefaultsNotesLabel } from './notes.label.interface';
/**
 * The configuration options of the series notes.
 */
export interface SeriesDefaultsNotes {
    /**
     * The line of the notes.
     */
    line?: NoteLine;
    /**
     * A function for creating a custom visual for the notes.
     *
     */
    visual?: (e: SeriesNoteVisualArgs) => drawing.Element;
    /**
     * The icon of the notes.
     */
    icon?: SeriesDefaultsNotesIcon;
    /**
     * The label of the notes.
     */
    label?: SeriesDefaultsNotesLabel;
}
