/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { drawing } from '@progress/kendo-drawing';
import { NoteLine, NotePosition, SeriesNoteVisualArgs } from '../../common/property-types';
import { SeriesNotesIcon } from './notes.icon.interface';
import { SeriesNotesLabel } from './notes.label.interface';
/**
 * The configuration options of the series notes.
 */
export interface SeriesNotes {
    /**
     * The line of the series notes.
     */
    line?: NoteLine;
    /**
     * The position of the series note.
     */
    position?: NotePosition;
    /**
     * A function for creating a custom visual for the notes.
     */
    visual?: (e: SeriesNoteVisualArgs) => drawing.Element;
    /**
     * The icon of the notes.
     */
    icon?: SeriesNotesIcon;
    /**
     * The label of the notes.
     */
    label?: SeriesNotesLabel;
}
