/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { drawing } from '@progress/kendo-drawing';
import { AxisNoteVisualArgs, NoteLine, NotePosition } from '../../common/property-types';
import { ValueAxisNotesIcon } from './notes.icon.interface';
import { ValueAxisNotesLabel } from './notes.label.interface';
/**
 * The configuration options of the value axis notes.
 */
export interface ValueAxisNotes {
    /**
     * The items of the notes.
     */
    data?: any[];
    /**
     * The line of the notes.
     */
    line?: NoteLine;
    /**
     * The position of the value axis note.
     */
    position?: NotePosition;
    /**
     * A function for creating custom visuals for the notes.
     */
    visual?: (e: AxisNoteVisualArgs) => drawing.Element;
    /**
     * The icon of the notes.
     */
    icon?: ValueAxisNotesIcon;
    /**
     * The label of the notes.
     */
    label?: ValueAxisNotesLabel;
}
