/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import * as i0 from "@angular/core";
import * as i1 from "./sankey.component";
import * as i2 from "./sankey/tooltip/tooltip-popup.component";
import * as i3 from "./sankey/tooltip/link-tooltip-template.directive";
import * as i4 from "./sankey/tooltip/node-tooltip-template.directive";
import * as i5 from "./sankey/localization/custom-messages.component";
import * as i6 from "./sankey/localization/localized-messages.directive";
import * as i7 from "./sankey/title.component";
import * as i8 from "./sankey/legend.component";
import * as i9 from "./sankey/tooltip.component";
import * as i10 from "./sankey/links.component";
import * as i11 from "./sankey/nodes.component";
import * as i12 from "./sankey/labels.component";
import * as i13 from "./sankey/data-binding/flat-binding.directive";
/**
 * A [module](link:site.data.urls.angular['ngmoduleapi']) that includes the Sparkline component and directives.
 *
 * Imports the SparklineModule into your application
 * [root module](link:site.data.urls.angular['ngmodules']#angular-modularity) or any other sub-module
 * that will use the Sparkline component.
 *
 * @example
 * ```ts-no-run
 * import { NgModule } from '@angular/core';
 * import { BrowserModule } from '@angular/platform-browser';
 * import { SparklineModule } from '@progress/kendo-angular-charts';
 * import { AppComponent } from './app.component';
 *
 * _@NgModule({
 *     bootstrap:    [AppComponent],
 *     declarations: [AppComponent],
 *     imports:      [BrowserModule, SparklineModule]
 * })
 * export class AppModule {
 * }
 * ```
 */
export declare class SankeyModule {
    static ɵfac: i0.ɵɵFactoryDeclaration<SankeyModule, never>;
    static ɵmod: i0.ɵɵNgModuleDeclaration<SankeyModule, never, [typeof i1.SankeyComponent, typeof i2.SankeyTooltipPopupComponent, typeof i3.SankeyLinkTooltipTemplateDirective, typeof i4.SankeyNodeTooltipTemplateDirective, typeof i5.SankeyCustomMessagesComponent, typeof i6.LocalizedMessagesDirective, typeof i7.SankeyTitleComponent, typeof i8.SankeyLegendComponent, typeof i9.SankeyTooltipComponent, typeof i10.SankeyLinksComponent, typeof i11.SankeyNodesComponent, typeof i12.SankeyLabelsComponent, typeof i13.SankeyFlatBindingDirective], [typeof i1.SankeyComponent, typeof i2.SankeyTooltipPopupComponent, typeof i3.SankeyLinkTooltipTemplateDirective, typeof i4.SankeyNodeTooltipTemplateDirective, typeof i5.SankeyCustomMessagesComponent, typeof i6.LocalizedMessagesDirective, typeof i7.SankeyTitleComponent, typeof i8.SankeyLegendComponent, typeof i9.SankeyTooltipComponent, typeof i10.SankeyLinksComponent, typeof i11.SankeyNodesComponent, typeof i12.SankeyLabelsComponent, typeof i13.SankeyFlatBindingDirective]>;
    static ɵinj: i0.ɵɵInjectorDeclaration<SankeyModule>;
}
