/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SankeyData } from "../api-types";
/**
 * Arguments for the `dataBound` event of the [`[kendoSankeyFlatBinding]`]({% slug api_charts_sankeyflatbindingdirective %}) directive.
 */
export declare class SankeyFlatBindingDataBoundEvent {
    /**
     * The original data passed to the directive.
     */
    originalData: any[];
    /**
     * The newly created [`SankeyData`]({% slug api_charts_sankeydata %}).
     *
     * Changes to this object will be passed to the Sankey diagram.
     */
    data: SankeyData;
    /**
     * @hidden
     */
    constructor(data: SankeyData);
}
