/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SankeyEvent, SankeyLinkDataItem } from '@progress/kendo-charts';
import { SankeyComponent } from '../../sankey.component';
import { SankeyBaseEvent } from './sankey-base-event';
/**
 * Arguments for the link-related events of the [`SankeyComponent`]({% slug api_charts_sankeycomponent %}).
 */
export declare class SankeyLinkEvent extends SankeyBaseEvent {
    /**
     * The dataItem of the related element.
     */
    dataItem: SankeyLinkDataItem;
    /**
     * @hidden
     */
    constructor(e: SankeyEvent, sender: SankeyComponent);
}
