/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../common/configuration.service';
import { SettingsComponent } from '../common/settings.component';
import { SankeyLabelDefaults, SankeyOffset } from './api-types';
import { Border, Padding } from '../common/property-types';
import * as i0 from "@angular/core";
/**
 * The configuration options of the Sankey labels
 * ([see example](slug:customization_sankey#toc-customizing-the-sankey-diagram-elements)).
 */
export declare class SankeyLabelsComponent extends SettingsComponent implements SankeyLabelDefaults {
    configurationService: ConfigurationService;
    visible?: boolean;
    font?: string;
    color?: string;
    align?: 'left' | 'right' | 'center';
    position?: 'inside' | 'before' | 'after';
    padding?: number | Padding;
    margin?: {
        left?: number;
        right?: number;
    };
    border?: Border;
    offset?: SankeyOffset;
    stroke?: {
        color?: string;
        width?: number;
        lineJoin?: 'round' | 'bevel' | 'miter';
    };
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<SankeyLabelsComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SankeyLabelsComponent, "kendo-sankey-labels", never, { "visible": { "alias": "visible"; "required": false; }; "font": { "alias": "font"; "required": false; }; "color": { "alias": "color"; "required": false; }; "align": { "alias": "align"; "required": false; }; "position": { "alias": "position"; "required": false; }; "padding": { "alias": "padding"; "required": false; }; "margin": { "alias": "margin"; "required": false; }; "border": { "alias": "border"; "required": false; }; "offset": { "alias": "offset"; "required": false; }; "stroke": { "alias": "stroke"; "required": false; }; }, {}, never, never, true, never>;
}
