/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../common/configuration.service';
import { SettingsComponent } from '../common/settings.component';
import { SankeyLinkDefaults, SankeyLinkHighlight } from './api-types';
import { FocusHighlight } from '@progress/kendo-charts';
import * as i0 from "@angular/core";
/**
 * The configuration options of the Sankey links
 * ([see example](slug:customization_sankey#toc-customizing-the-sankey-diagram-elements)).
 */
export declare class SankeyLinksComponent extends SettingsComponent implements SankeyLinkDefaults {
    configurationService: ConfigurationService;
    colorType?: 'static' | 'source' | 'target';
    color?: string;
    opacity?: number;
    highlight?: SankeyLinkHighlight;
    focusHighlight?: FocusHighlight;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<SankeyLinksComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SankeyLinksComponent, "kendo-sankey-links", never, { "colorType": { "alias": "colorType"; "required": false; }; "color": { "alias": "color"; "required": false; }; "opacity": { "alias": "opacity"; "required": false; }; "highlight": { "alias": "highlight"; "required": false; }; "focusHighlight": { "alias": "focusHighlight"; "required": false; }; }, {}, never, never, true, never>;
}
