/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { LocalizationService } from '@progress/kendo-angular-l10n';
import { Messages } from './messages';
import * as i0 from "@angular/core";
/**
 * Custom component messages override default component messages.
 * @example
 * ```html
 * <kendo-sankey [data]="data">
 *     <kendo-sankey-messages tooltipUnitFormat='kelvin'></kendo-sankey-messages>
 * </kendo-sankey>
 * ```
 */
export declare class SankeyCustomMessagesComponent extends Messages {
    protected service: LocalizationService;
    constructor(service: LocalizationService);
    protected get override(): boolean;
    static ɵfac: i0.ɵɵFactoryDeclaration<SankeyCustomMessagesComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<SankeyCustomMessagesComponent, "kendo-sankey-messages", never, {}, {}, never, never, true, never>;
}
