/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { SankeyNodeDataItem, SankeyTooltipEvent } from '@progress/kendo-charts';
/**
 * The context that is passed to the Sankey diagram Link tooltip template.
 */
export declare class SankeyLinkTooltipTemplateContext {
    /**
     * The link source data item.
     */
    source: SankeyNodeDataItem;
    /**
     * The link target data item.
     */
    target: SankeyNodeDataItem;
    /**
     * The link value.
     */
    value: number;
    /**
     * @hidden
     */
    constructor(e: SankeyTooltipEvent);
}
