/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { IntlService } from '@progress/kendo-angular-intl';
import { ConfigurationService } from '../../common/configuration.service';
import { CategoryAxisItemComponent } from '../../chart/category-axis-item.component';
import * as i0 from "@angular/core";
/**
 * The configuration component of the navigator category axis.
 *
 * @example
 *
 * ```html-no-run
 * <kendo-stockchart>
 *   <kendo-chart-navigator>
 *     <kendo-chart-navigator-category-axis
 *       color="maroon"
 *       [labels]="{color: 'green'}">
 *     </kendo-chart-navigator-category-axis>
 *   </kendo-chart-navigator>
 * </kendo-stockchart>
 * ```
 */
export declare class NavigatorCategoryAxisComponent extends CategoryAxisItemComponent {
    protected configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService, intl: IntlService, localeId: string);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorCategoryAxisComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorCategoryAxisComponent, "kendo-chart-navigator-category-axis", never, {}, {}, never, never, true, never>;
}
