/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { SettingsComponent } from '../../common/settings.component';
import { NavigatorHint, NavigatorHintContentArgs } from '../option-types';
import * as i0 from "@angular/core";
/**
 * The default options of the navigator hint
 * ([see example](slug:overview_stockchart_charts)).
 */
export declare class NavigatorHintComponent extends SettingsComponent implements NavigatorHint {
    configurationService: ConfigurationService;
    content: (e: NavigatorHintContentArgs) => string;
    format: string;
    visible: boolean;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorHintComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorHintComponent, "kendo-chart-navigator-hint", never, { "content": { "alias": "content"; "required": false; }; "format": { "alias": "format"; "required": false; }; "visible": { "alias": "visible"; "required": false; }; }, {}, never, never, true, never>;
}
