/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../common/configuration.service';
import { SettingsComponent } from '../../common/settings.component';
import { MousewheelSelect } from '../../common/property-types';
import { NavigatorSelect } from '../option-types';
import * as i0 from "@angular/core";
/**
 * Specifies the initially selected range.
 * If no range is specified, the full range of values is rendered.
 */
export declare class NavigatorSelectComponent extends SettingsComponent implements NavigatorSelect {
    configurationService: ConfigurationService;
    from: Date;
    to: Date;
    mousewheel: boolean | MousewheelSelect;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorSelectComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorSelectComponent, "kendo-chart-navigator-select", never, { "from": { "alias": "from"; "required": false; }; "to": { "alias": "to"; "required": false; }; "mousewheel": { "alias": "mousewheel"; "required": false; }; }, {}, never, never, true, never>;
}
