/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { CollectionService } from '../../common/collection.service';
import { ConfigurationService } from '../../common/configuration.service';
import { SeriesItemComponent } from '../../chart/series-item.component';
import * as i0 from "@angular/core";
/**
 * The configuration component of a navigator series item
 * ([see example]({% slug overview_stockchart_charts %})).
 */
export declare class NavigatorSeriesItemComponent extends SeriesItemComponent {
    protected configurationService: ConfigurationService;
    protected collectionService: CollectionService;
    /**
     * @hidden
     */
    drilldownField: string;
    constructor(configurationService: ConfigurationService, collectionService: CollectionService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorSeriesItemComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorSeriesItemComponent, "kendo-chart-navigator-series-item", never, { "drilldownField": { "alias": "drilldownField"; "required": false; }; }, {}, never, never, true, never>;
}
