/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { ConfigurationService } from '../../../common/configuration.service';
import { SeriesTooltipComponent } from '../../../chart/series-item/tooltip.component';
import * as i0 from "@angular/core";
/**
 * The tooltip configuration of the StockChart navigator series.
 * The StockChart navigator series tooltip is displayed when the `navigator.series.tooltip.visible` option is set to `true`.
 */
export declare class NavigatorSeriesTooltipComponent extends SeriesTooltipComponent {
    configurationService: ConfigurationService;
    constructor(configurationService: ConfigurationService);
    static ɵfac: i0.ɵɵFactoryDeclaration<NavigatorSeriesTooltipComponent, never>;
    static ɵcmp: i0.ɵɵComponentDeclaration<NavigatorSeriesTooltipComponent, "kendo-chart-navigator-series-item-tooltip", never, {}, {}, never, never, true, never>;
}
