/**-----------------------------------------------------------------------------------------
* Copyright © 2025 Progress Software Corporation. All rights reserved.
* Licensed under commercial license. See LICENSE.md in the project root for more information
*-------------------------------------------------------------------------------------------*/
import { NavigatorHintContentArgs } from './hint-content-args.interface';
/**
 * The `navigator.hint` options.
 */
export interface NavigatorHint {
    /**
     * The function that returns the content of the hint.
     */
    content?: (e: NavigatorHintContentArgs) => string;
    /**
     * The format of the hint.
     * By default, the format is set to `"{0} - {1}"`, where `"{0}"` represents the start value of the selected range, and `"{1}"` represents the end value.
     * Example of usage: `[hint]="{format:'{0:dd.MM.yyyy} {1:yyyy.dd.MM}'}"`
     */
    format?: string;
    /**
     * The visibility of the hint.
     */
    visible?: boolean;
}
